*****************************************************************************************************
*** Replikationssyntax "ZUM ZUSAMMENWIRKEN VON NORMEN UND ANREIZEN BEI FERTILITÄTSENTSCHEIDUNGEN" ***
*****************************************************************************************************

* Datenbasis: Bamberger NEL-Panel (ZA-Nr. 4665) und Bamberger Ehepaarpanel (ZA-Nr. 4266)

* SPSS-Syntax: Umwandlung der SPSS-Datensätze aus ZA-Bestand ins STATA-Format

* GET FILE='C:\Daten\ZA4266_Welle1.sav'.
* SAVE TRANSLATE OUTFILE='C:\Daten\ZA4266_Welle1.dta' 
*   /TYPE=STATA 
*   /VERSION=13 
*   /EDITION=SE 
*   /MAP 
*   /REPLACE.
*
* GET FILE='C:\Daten\ZA4266_Welle2_Eltern.sav'.
* SAVE TRANSLATE OUTFILE='C:\Daten\ZA4266_Welle2_Eltern.dta' 
*   /TYPE=STATA 
*   /VERSION=13 
*   /EDITION=SE 
*   /MAP 
*   /REPLACE.
*
* GET FILE='C:\Daten\ZA4266_Welle2_Kinderlose.sav'.
* SAVE TRANSLATE OUTFILE='C:\Daten\ZA4266_Welle2_Kinderlose.dta' 
*   /TYPE=STATA 
*   /VERSION=13 
*   /EDITION=SE 
*   /MAP 
*   /REPLACE.
*
* GET FILE='C:\Daten\ZA4266_Welle3_1Kind.sav'.
* SAVE TRANSLATE OUTFILE='C:\Daten\ZA4266_Welle3_1Kind.dta' 
*   /TYPE=STATA 
*   /VERSION=13 
*   /EDITION=SE 
*   /MAP 
*   /REPLACE.
*
* GET FILE='C:\Daten\ZA4266_Welle3_2Kinder.sav'.
* SAVE TRANSLATE OUTFILE='C:\Daten\ZA4266_Welle3_2Kinder.dta' 
*   /TYPE=STATA 
*   /VERSION=13 
*   /EDITION=SE 
*   /MAP 
*   /REPLACE.
*
* GET FILE='C:\Daten\ZA4266_Welle3_Kinderlose.sav'.
* SAVE TRANSLATE OUTFILE='C:\Daten\ZA4266_Welle3_Kinderlose.dta' 
*   /TYPE=STATA 
*   /VERSION=13 
*   /EDITION=SE 
*   /MAP 
*   /REPLACE.
*
* GET FILE='C:\Daten\ZA4266_Welle4_Eltern.sav'.
* SAVE TRANSLATE OUTFILE='C:\Daten\ZA4266_Welle4_Eltern.dta' 
*   /TYPE=STATA 
*   /VERSION=13 
*   /EDITION=SE 
*   /MAP 
*   /REPLACE.
*
* GET FILE='C:\Daten\ZA4266_Welle4_Kinderlose.sav'.
* SAVE TRANSLATE OUTFILE='C:\Daten\ZA4266_Welle4_Kinderlose.dta' 
*   /TYPE=STATA 
*   /VERSION=13 
*   /EDITION=SE 
*   /MAP 
*   /REPLACE.
*
* GET FILE='C:\Daten\ZA4665_Welle1.sav'.
* SAVE TRANSLATE OUTFILE='C:\Daten\ZA4665_Welle1.dta' 
*   /TYPE=STATA 
*   /VERSION=13 
*   /EDITION=SE 
*   /MAP 
*   /REPLACE.
*
* GET FILE='C:\Daten\ZA4665_Welle2_EHE.sav'.
* SAVE TRANSLATE OUTFILE='C:\Daten\ZA4665_Welle2_EHE.dta' 
*   /TYPE=STATA 
*   /VERSION=13 
*   /EDITION=SE 
*   /MAP 
*   /REPLACE.
*
* GET FILE='C:\Daten\ZA4665_Welle2_NEL.sav'.
* SAVE TRANSLATE OUTFILE='C:\Daten\ZA4665_Welle2_NEL.dta' 
*   /TYPE=STATA 
*   /VERSION=13 
*   /EDITION=SE 
*   /MAP 
*   /REPLACE.
*
* GET FILE='C:\Daten\ZA4665_Welle3.sav'.
* SAVE TRANSLATE OUTFILE='C:\Daten\ZA4665_Welle3.dta' 
*   /TYPE=STATA 
*   /VERSION=13 
*   /EDITION=SE 
*   /MAP 
*   /REPLACE.
*
* GET FILE='C:\Daten\ZA4665_Welle4.sav'.
* SAVE TRANSLATE OUTFILE='C:\Daten\ZA4665_Welle4.dta' 
*   /TYPE=STATA 
*   /VERSION=13 
*   /EDITION=SE 
*   /MAP 
*   /REPLACE.


**********************************************
*** Datenaufbereitung Ehepaarpanel Welle 1 ***
**********************************************

version 14 
set more off

global datapath "c:\Daten\"


cd "c:\Daten\Religion und Fertilität"

 
use "$datapath\ZA4266_Welle1.dta", clear

gen ehe_w1 = 1

gen wave_w1 = 1

* Alter

gen epw1_agef = alter if geschl == 1 
gen epw1_agem = alter if geschl == 2 

* Partnerschaftsdauer in Jahren (tw. durch Intervallmittelwerte geschätzt)

recode ehedau (-10/0=0)

gen ehedau_j = ehedau / 12 

recode c1 (1=1.5) (2=5) (3=9) (4=13) (5=42) (6=66) (7=108) (8=120)

replace c1 = c1 / 12 

gen epw1_pdau = ehedau_j + c1

* Bildungsniveau 

recode a1 (0=8) (1=9) (2=11) (3=13) (4=11) if geschl == 1, gen(epw1_bildf)
replace epw1_bildf = epw1_bildf + 3 if (a21 == 1 | a21 == 2 | a21 == 3 | a21 == 4 | a21 == 6) & geschl == 1
replace epw1_bildf = epw1_bildf + 5 if a21 == 5 & geschl == 1

recode a1 (0=8) (1=9) (2=11) (3=13) (4=11) if geschl == 2, gen(epw1_bildm)
replace epw1_bildm = epw1_bildm + 3 if (a21 == 1 | a21 == 2 | a21 == 3 | a21 == 4 | a21 == 6) & geschl == 2
replace epw1_bildm = epw1_bildm + 5 if a21 == 5 & geschl == 2

* Erwerbsstatus 

gen epw1_ausbf = 0 if geschl == 1 
replace epw1_ausbf = 1 if (a3 == 0 & (a4 == 2 | a4 == 6)) & geschl == 1 

gen epw1_nepf = 0 if geschl == 1
replace epw1_nepf = 1 if (a3 == 0 & (a4 == 1 | a4 == 3 | a4 == 4 | a4 == 5 | a4 == 7)) & geschl == 1 

gen epw1_tzf = 0 if geschl == 1
replace epw1_tzf = 1 if ((a3 > 0 & a3 < .) & (a7 == 2 | a7 == 3)) & geschl == 1 

gen epw1_vzf = 0 if geschl == 1
replace epw1_vzf =1 if a3 > 0 & a3 < . & a7 == 1 & geschl == 1 

gen epw1_ausbm = 0 if geschl == 2 
replace epw1_ausbm = 1 if (a3 == 0 & (a4 == 2 | a4 == 6)) & geschl == 2 

gen epw1_nepm = 0 if geschl == 2
replace epw1_nepm = 1 if (a3 == 0 & (a4 == 1 | a4 == 3 | a4 == 4 | a4 == 5)) & geschl == 2 

gen epw1_tzm = 0 if geschl == 2
replace epw1_tzm = 1 if ((a3 > 0 & a3 < .) & (a7 == 2 | a7 == 3)) & geschl == 2 

gen epw1_vzm = 0 if geschl == 2
replace epw1_vzm =1 if a3 > 0 & a3 < . & a7 == 1 & geschl == 2 

* Berufliche Autonomie 

gen epw1_autf = a5 if geschl == 1 
gen epw1_autm = a5 if geschl == 2
replace epw1_autf = 99 if a6 == 0 & geschl == 1
replace epw1_autm = 99 if a6 == 0 & geschl == 2

* Persönliches Nettoeinkommen (DM) 

gen epw1_ekf = g171 if geschl == 1 
gen epw1_ekm = g171 if geschl == 2

* Konfession 

gen epw1_konfessf = g4 if geschl == 1 
gen epw1_konfessm = g4 if geschl == 2

* Religiositäts-Einzelitems (inkl. Sozialisation)  

recode g7 (0=0) (1=3) (2=12) (3=52) if geschl == 1, gen(epw1_kgangf)
recode g7 (0=0) (1=3) (2=12) (3=52) if geschl == 2, gen(epw1_kgangm)  

gen epw1_zentf = g106 if geschl == 1 
gen epw1_zentm = g106 if geschl == 2

gen epw1_bedeutf = g5 if geschl == 1
gen epw1_bedeutm = g5 if geschl == 2

gen epw1_verbundf = g6 if geschl == 1 
gen epw1_verbundm = g6 if geschl == 2 

gen epw1_releltf = b132 if geschl == 1 
gen epw1_releltm = b132 if geschl == 2

gen epw1_relfamf = b137 if geschl == 1 
gen epw1_relfamm = b137 if geschl == 2 

* Kinderkosten und -nutzen Einzelitems 

gen epw1_kzeitf = d91 if geschl == 1 
gen epw1_kzeitm = d91 if geschl == 2
  
gen epw1_kintsf = d92 if geschl == 1 
gen epw1_kintsm = d92 if geschl == 2

gen epw1_gkindf = d93 if geschl == 1 
gen epw1_gkindm = d93 if geschl == 2

gen epw1_brauchkf = d94 if geschl == 1 
gen epw1_brauchkm = d94 if geschl == 2

gen epw1_kliebef = d95 if geschl == 1 
gen epw1_kliebem = d95 if geschl == 2

gen epw1_ksorgef = d96 if geschl == 1 
gen epw1_ksorgem = d96 if geschl == 2

gen epw1_ksinnf = d97 if geschl == 1 
gen epw1_ksinnm = d97 if geschl == 2

gen epw1_kbelastf = d98 if geschl == 1 
gen epw1_kbelastm = d98 if geschl == 2

gen epw1_knäherf = d99 if geschl == 1 
gen epw1_knäherm = d99 if geschl == 2

* Kinderwunsch (Befragter hat Kinderwunsch in den nächsten 2 Jahren; ihm ist dessen Realisierung wichtig oder sehr wichtig) 

gen epw1_kwunschf = 0 if geschl == 1 
replace epw1_kwunschf = 1 if (d4 == 3 | d4 == 4) & geschl == 1 

gen epw1_kwunschm = 0 if geschl == 2 
replace epw1_kwunschm = 1 if (d4 == 3 | d4 == 4) & geschl == 2 

* Geburtstiming (1. Kind): Partnerkonsens 

gen epw1_konsensf = 0 if geschl == 1 
replace epw1_konsensf = 1 if d62 == 1 & geschl == 1 

gen epw1_konsensm = 0 if geschl == 2 
replace epw1_konsensm = 1 if d62 == 1 & geschl == 2 

* Save

keep id geschl wave_w1 ehe_w1 epw1_agef epw1_agem epw1_bildf epw1_bildm epw1_ausbf epw1_nepf epw1_tzf epw1_vzf epw1_ausbm epw1_nepm ///
epw1_tzm epw1_vzm epw1_pdau epw1_kgangf epw1_kgangm epw1_zentf epw1_zentm epw1_bedeutf epw1_bedeutm ///
epw1_verbundf epw1_verbundm epw1_releltf epw1_releltm epw1_relfamf epw1_relfamm epw1_kwunschf epw1_kwunschm ///
epw1_konsensf epw1_konsensm epw1_kzeitf epw1_kzeitm epw1_kintsf epw1_kintsm epw1_gkindf epw1_gkindm epw1_brauchkf ///
epw1_brauchkm epw1_kliebef epw1_kliebem epw1_ksorgef epw1_ksorgem epw1_ksinnf epw1_ksinnm epw1_kbelastf epw1_kbelastm ///
epw1_knäherf epw1_knäherm epw1_konfessf epw1_konfessm epw1_autf epw1_autm epw1_ekf epw1_ekm

save "ep_w1.dta", replace


*******************************************
*** Datenaufbereitung NEL-Panel Welle 1 ***
*******************************************

use "$datapath\ZA4665_Welle1.dta", clear

gen ehe_w1_2 = 0

gen wave_w1_2 = 1

* Alter

gen npw1_agef = b1 if geschl == 1 
gen npw1_agem = b1 if geschl == 2

* Partnerschaftsdauer in Jahren (tw. Schätzung durch Intervallmitten)

recode c1 (1=1.5) (2=5) (3=9) (4=13) (5=42) (6=66) (7=108) (8=108), gen(cdau_m)

recode c2a1 (1=3) (2=9) (3=18) (4=30) (5=42) (6=54) (7=72), gen(vcdau_m)

gen npw1_pdau = cdau_m + vcdau_m 

replace npw1_pdau = npw1_pdau / 12

* Bildungsniveau 

recode a1 (0=8) (1=9) (2=11) (3=13) (4=11) if geschl == 1, gen(npw1_bildf)
replace npw1_bildf = npw1_bildf + 3 if (a21 == 1 | a21 == 2 | a21 == 3 | a21 == 4 | a21 == 6) & geschl == 1
replace npw1_bildf = npw1_bildf + 5 if a21 == 5 & geschl == 1

recode a1 (0=8) (1=9) (2=11) (3=13) (4=11) if geschl == 2, gen(npw1_bildm)
replace npw1_bildm = npw1_bildm + 3 if (a21 == 1 | a21 == 2 | a21 == 3 | a21 == 4 | a21 == 6) & geschl == 2
replace npw1_bildm = npw1_bildm + 5 if a21 == 5 & geschl == 2 

* Erwerbsstatus 

gen npw1_ausbf = 0 if geschl == 1 
replace npw1_ausbf = 1 if a3 > 2 & a3 < 7 & geschl == 1 

gen npw1_nepf = 0 if geschl == 1
replace npw1_nepf = 1 if (a3 == 1 | a3 == 7 | a3 == 8) & geschl == 1 

gen npw1_tzf = 0 if geschl == 1
replace npw1_tzf = 1 if (a6 > 1 & a6 < .) & a3 == 2 & geschl == 1 

gen npw1_vzf = 0 if geschl == 1
replace npw1_vzf =1 if a3 == 2 & a6 == 1 & geschl == 1 

gen npw1_ausbm = 0 if geschl == 2 
replace npw1_ausbm = 1 if a3 > 2 & a3 < 7 & geschl == 2 

gen npw1_nepm = 0 if geschl == 2
replace npw1_nepm = 1 if (a3 == 1 | a3 == 7 | a3 == 8) & geschl == 2 

gen npw1_tzm = 0 if geschl == 2
replace npw1_tzm = 1 if (a6 > 1 & a6 < .) & a3 == 2 & geschl == 2 

gen npw1_vzm = 0 if geschl == 2
replace npw1_vzm =1 if a3 == 2 & a6 == 1 & geschl == 2 

* Berufliche Autonomie 

gen npw1_autf = a4 if geschl == 1 
gen npw1_autm = a4 if geschl == 2
replace npw1_autf = 99 if a5 == 0 & geschl == 1
replace npw1_autm = 99 if a5 == 0 & geschl == 2

* Persönliches Nettoeinkommen (DM) 

gen npw1_ekf = g171 if geschl == 1 
gen npw1_ekm = g171 if geschl == 2

* Konfession 

gen npw1_konfessf = g4 if geschl == 1 
gen npw1_konfessm = g4 if geschl == 2

* Religiositäts-Einzelitems (inkl. Sozialisation)  

recode g7 (0=0) (1=3) (2=12) (3=52) if geschl == 1, gen(npw1_kgangf)
recode g7 (0=0) (1=3) (2=12) (3=52) if geschl == 2, gen(npw1_kgangm)  

gen npw1_zentf = g106 if geschl == 1 
gen npw1_zentm = g106 if geschl == 2

gen npw1_bedeutf = g5 if geschl == 1
gen npw1_bedeutm = g5 if geschl == 2

gen npw1_verbundf = g6 if geschl == 1 
gen npw1_verbundm = g6 if geschl == 2 

gen npw1_releltf = b132 if geschl == 1 
gen npw1_releltm = b132 if geschl == 2

gen npw1_relfamf = b137 if geschl == 1 
gen npw1_relfamm = b137 if geschl == 2 

* Kinderkosten und -nutzen Einzelitems 

gen npw1_kzeitf = d91 if geschl == 1 
gen npw1_kzeitm = d91 if geschl == 2
  
gen npw1_kintsf = d92 if geschl == 1 
gen npw1_kintsm = d92 if geschl == 2

gen npw1_gkindf = d93 if geschl == 1 
gen npw1_gkindm = d93 if geschl == 2

gen npw1_brauchkf = d94 if geschl == 1 
gen npw1_brauchkm = d94 if geschl == 2

gen npw1_kliebef = d95 if geschl == 1 
gen npw1_kliebem = d95 if geschl == 2

gen npw1_ksorgef = d96 if geschl == 1 
gen npw1_ksorgem = d96 if geschl == 2

gen npw1_ksinnf = d97 if geschl == 1 
gen npw1_ksinnm = d97 if geschl == 2

gen npw1_kbelastf = d98 if geschl == 1 
gen npw1_kbelastm = d98 if geschl == 2

gen npw1_knäherf = d99 if geschl == 1 
gen npw1_knäherm = d99 if geschl == 2

* Kinderwunsch (Befragter hat Kinderwunsch in den nächsten 2 Jahren; ihm ist dessen Realisierung wichtig oder sehr wichtig) 

gen npw1_kwunschf = 0 if geschl == 1 
replace npw1_kwunschf = 1 if (d4 == 3 | d4 == 4) & geschl == 1 

gen npw1_kwunschm = 0 if geschl == 2 
replace npw1_kwunschm = 1 if (d4 == 3 | d4 == 4) & geschl == 2 

* Geburtstiming (1. Kind): Partnerkonsens 

gen npw1_konsensf = 0 if geschl == 1 
replace npw1_konsensf = 1 if d62 == 1 & geschl == 1 

gen npw1_konsensm = 0 if geschl == 2 
replace npw1_konsensm = 1 if d62 == 1 & geschl == 2 

* Save

keep id geschl ehe_w1 wave_w1_2 npw1_agef npw1_agem npw1_bildf npw1_bildm npw1_ausbf npw1_nepf npw1_tzf npw1_vzf npw1_ausbm npw1_nepm ///
npw1_tzm npw1_vzm npw1_pdau npw1_kgangf npw1_kgangm npw1_zentf npw1_zentm npw1_bedeutf npw1_bedeutm ///
npw1_verbundf npw1_verbundm npw1_releltf npw1_releltm npw1_relfamf npw1_relfamm npw1_kwunschf npw1_kwunschm ///
npw1_konsensf npw1_konsensm npw1_kzeitf npw1_kzeitm npw1_kintsf npw1_kintsm npw1_gkindf npw1_gkindm npw1_brauchkf ///
npw1_brauchkm npw1_kliebef npw1_kliebem npw1_ksorgef npw1_ksorgem npw1_ksinnf npw1_ksinnm npw1_kbelastf npw1_kbelastm ///
npw1_knäherf npw1_knäherm npw1_konfessf npw1_konfessm npw1_autf npw1_autm npw1_ekf npw1_ekm

save "np_w1.dta", replace


*****************************************************
*** Datenaufbereitung Ehepaarpanel Welle 2 Eltern ***
*****************************************************

use "$datapath\ZA4266_Welle2_Eltern.dta", clear

keep if geschl == 1 

gen status_w2_1 = 1 

keep id status_w2_1

save "ep_w2_kind.dta", replace


*********************************************************
*** Datenaufbereitung Ehepaarpanel Welle 2 Kinderlose ***
*********************************************************

use "$datapath\ZA4266_Welle2_Kinderlose.dta", clear

gen ehe_w2 = 1 if geschl == 1

gen status_w2_2 = 0 if geschl == 1 & kd3 == 0
replace status_w2_2 = 1 if geschl == 1 & kd3 == 1 

gen wave_w2 = 1

* Alter

gen epw2_agef = kalter if geschl == 1 
gen epw2_agem = kalter if geschl == 2

* Erwerbsstatus 

gen epw2_ausbf = 0 if geschl == 1 
replace epw2_ausbf = 1 if ka3 == 0 & ka4 == 2 & geschl == 1 

gen epw2_nepf = 0 if geschl == 1
replace epw2_nepf = 1 if (ka3 == 0 & (ka4 == 1 | ka4 == 4)) & geschl == 1 

* Berufstätigkeit? 
gen epw2_ewtf = 0 if geschl == 1 
replace epw2_ewtf = 1 if (ka3 == 1 | ka3 == 2) & geschl == 1 

* Änderung Umfang EWT seit Vorwelle? 
gen epw2_changef = 0 if geschl == 1 
replace epw2_changef = 1 if la11 == 1 & geschl == 1 

* Personen mit Veränderung: Voll- (1) oder Teilzeit(0)?
gen epw2_vzf = 0 if (ka7 == 2 | ka7 == 3) & geschl == 1
replace epw2_vzf = 1 if ka7 == 1 & geschl == 1

gen epw2_ausbm = 0 if geschl == 2 
replace epw2_ausbm = 1 if (ka3 == 0 & (ka4 == 2 | ka4 == 3)) & geschl == 2 

gen epw2_nepm = 0 if geschl == 2
replace epw2_nepm = 1 if (ka3 == 0 & (ka4 == 1 | ka4 == 4)) & geschl == 2 

gen epw2_ewtm = 0 if geschl == 2 
replace epw2_ewtm = 1 if (ka3 == 1 | ka3 == 2) & geschl == 2 
 
gen epw2_changem = 0 if geschl == 2 
replace epw2_changem = 1 if la11 == 1 & geschl == 2 

gen epw2_vzm = 0 if (ka7 == 2 | ka7 == 3) & geschl == 2
replace epw2_vzm = 1 if ka7 == 1 & geschl == 2

* Berufliche Autonomie 

gen epw2_autf = ka5 if geschl == 1 
gen epw2_autm = ka5 if geschl == 2

* Persönliches Nettoeinkommen (DM) 

gen epw2_ekf = kg171 if geschl == 1 
gen epw2_ekm = kg171 if geschl == 2

* Kinderkosten und -nutzen Einzelitems 

gen epw2_kzeitf = kd91 if geschl == 1 
gen epw2_kzeitm = kd91 if geschl == 2
  
gen epw2_kintsf = kd92 if geschl == 1 
gen epw2_kintsm = kd92 if geschl == 2

gen epw2_gkindf = kd93 if geschl == 1 
gen epw2_gkindm = kd93 if geschl == 2

gen epw2_brauchkf = kd94 if geschl == 1 
gen epw2_brauchkm = kd94 if geschl == 2

gen epw2_kliebef = kd95 if geschl == 1 
gen epw2_kliebem = kd95 if geschl == 2

gen epw2_ksorgef = kd96 if geschl == 1 
gen epw2_ksorgem = kd96 if geschl == 2

gen epw2_ksinnf = kd97 if geschl == 1 
gen epw2_ksinnm = kd97 if geschl == 2

gen epw2_kbelastf = kd98 if geschl == 1 
gen epw2_kbelastm = kd98 if geschl == 2

gen epw2_knäherf = kd99 if geschl == 1 
gen epw2_knäherm = kd99 if geschl == 2

* Geburtstiming (1. Kind): Partnerkonsens 

gen epw2_konsensf = 0 if geschl == 1 
replace epw2_konsensf = 1 if kd62 == 1 & geschl == 1 

gen epw2_konsensm = 0 if geschl == 2 
replace epw2_konsensm = 1 if kd62 == 1 & geschl == 2 

* Save

keep id geschl wave_w2 ehe_w2 status_w2_2 epw2_agef epw2_agem epw2_ausbf epw2_nepf epw2_ewtf epw2_changef ///
epw2_ausbm epw2_nepm epw2_ewtm epw2_changem epw2_vzf epw2_vzm epw2_kzeitf epw2_kzeitm epw2_kintsf ///
epw2_kintsm epw2_gkindf epw2_gkindm epw2_brauchkf epw2_brauchkm epw2_kliebef epw2_kliebem ///
epw2_ksorgef epw2_ksorgem epw2_ksinnf epw2_ksinnm epw2_kbelastf epw2_kbelastm epw2_knäherf ///
epw2_knäherm epw2_konsensf epw2_konsensm epw2_autf epw2_autm epw2_ekf epw2_ekm

save "ep_w2_klos.dta", replace


*****************************************************
*** Datenaufbereitung Ehepaarpanel Welle 3 1 Kind ***
*****************************************************

use "$datapath\ZA4266_Welle3_1Kind.dta", clear

keep if geschl == 1 

gen status_w3_1 = 1 

keep id status_w3_1

save "ep_w3_1kind.dta", replace


*******************************************************
*** Datenaufbereitung Ehepaarpanel Welle 3 2 Kinder ***
*******************************************************

use "$datapath\ZA4266_Welle3_2Kinder.dta", clear

keep if geschl == 1 

gen status_w3_2 = 1 

keep id status_w3_2

save "ep_w3_2kinder.dta", replace


*********************************************************
*** Datenaufbereitung Ehepaarpanel Welle 3 Kinderlose ***
*********************************************************

use "$datapath\ZA4266_Welle3_Kinderlose.dta", clear

gen ehe_w3 = 1 if geschl == 1

gen status_w3_3 = 0 if geschl == 1 & td3 == 0
replace status_w3_3 = 1 if geschl == 1 & td3 == 1 

gen wave_w3 = 1

* Alter

gen epw3_agef = xalter if geschl == 1 
gen epw3_agem = xalter if geschl == 2

* Erwerbsstatus 

gen epw3_ausbf = 0 if geschl == 1 
replace epw3_ausbf = 1 if ta3 == 0 & ta4 == 2 & geschl == 1 

gen epw3_nepf = 0 if geschl == 1
replace epw3_nepf = 1 if (ta3 == 0 & (ta4 == 1 | ta4 == 4)) & geschl == 1

* Erwerbstätig? 
gen epw3_ewtf = 0 if geschl == 1 
replace epw3_ewtf = 1 if (ta3 == 1 | ta3 == 2) & geschl == 1 
 
* Differenzierung Vollzeit/Teilzeit über Wochenarbeitszeit 
gen epw3_tzf = 0 if geschl == 1
replace epw3_tzf = 1 if ua4 < 34 & ua4 < . & geschl == 1

gen epw3_vzf = 0 if geschl == 1
replace epw3_vzf = 1 if ua4 > 34 & ua4 < . & geschl == 1

gen epw3_ausbm = 0 if geschl == 2 
replace epw3_ausbm = 1 if ta3 == 0 & ta4 == 2 & geschl == 2 

gen epw3_nepm = 0 if geschl == 2
replace epw3_nepm = 1 if (ta3 == 0 & (ta4 == 1 | ta4 == 4)) & geschl == 2

gen epw3_ewtm = 0 if geschl == 2
replace epw3_ewtm = 1 if (ta3 == 1 | ta3 == 2) & geschl == 2 
 
gen epw3_tzm = 0 if geschl == 2
replace epw3_tzm = 1 if ua4 < 34 & ua4 < . & geschl == 2

gen epw3_vzm = 0 if geschl == 2
replace epw3_vzm = 1 if ua4 > 34 & ua4 < . & geschl == 2

* Berufliche Autonomie 

gen epw3_autf = ta5 if geschl == 1 
gen epw3_autm = ta5 if geschl == 2

* Persönliches Nettoeinkommen (DM) 

gen epw3_ekf = tg171 if geschl == 1 
gen epw3_ekm = tg171 if geschl == 2

* Religiositäts-Einzelitems  

recode tg7 (0=0) (1=3) (2=12) (3=52) if geschl == 1, gen(epw3_kgangf)
recode tg7 (0=0) (1=3) (2=12) (3=52) if geschl == 2, gen(epw3_kgangm)  

gen epw3_zentf = tg106 if geschl == 1 
gen epw3_zentm = tg106 if geschl == 2

gen epw3_bedeutf = tg5 if geschl == 1
gen epw3_bedeutm = tg5 if geschl == 2

gen epw3_verbundf = tg6 if geschl == 1 
gen epw3_verbundm = tg6 if geschl == 2 

* Kinderkosten und -nutzen Einzelitems 

gen epw3_kzeitf = td91 if geschl == 1 
gen epw3_kzeitm = td91 if geschl == 2
  
gen epw3_kintsf = td92 if geschl == 1 
gen epw3_kintsm = td92 if geschl == 2

* td93 falsch codiert (Wert 0?) 

gen epw3_brauchkf = td94 if geschl == 1 
gen epw3_brauchkm = td94 if geschl == 2

gen epw3_kliebef = td95 if geschl == 1 
gen epw3_kliebem = td95 if geschl == 2

gen epw3_ksorgef = td96 if geschl == 1 
gen epw3_ksorgem = td96 if geschl == 2

gen epw3_ksinnf = td97 if geschl == 1 
gen epw3_ksinnm = td97 if geschl == 2

gen epw3_kbelastf = td98 if geschl == 1 
gen epw3_kbelastm = td98 if geschl == 2

gen epw3_knäherf = td99 if geschl == 1 
gen epw3_knäherm = td99 if geschl == 2

* Geburtstiming (1. Kind): Partnerkonsens 

gen epw3_konsensf = 0 if geschl == 1 
replace epw3_konsensf = 1 if td62 == 1 & geschl == 1 

gen epw3_konsensm = 0 if geschl == 2 
replace epw3_konsensm = 1 if td62 == 1 & geschl == 2 

* Save

keep id geschl wave_w3 ehe_w3 status_w3_3 epw3_agef epw3_agem epw3_ausbf epw3_nepf epw3_ewtf ///
epw3_tzf epw3_vzf epw3_ausbm epw3_nepm epw3_ewtm epw3_tzm epw3_vzm epw3_kgangm epw3_kgangf ///
epw3_zentf epw3_zentm epw3_bedeutf epw3_bedeutm epw3_verbundf epw3_verbundm epw3_kzeitf ///
epw3_kzeitm epw3_kintsf epw3_kintsm epw3_brauchkf epw3_kliebef epw3_brauchkm epw3_kliebem ///
epw3_ksorgef epw3_ksorgem epw3_ksinnf epw3_ksinnm epw3_kbelastf epw3_kbelastm epw3_knäherf ///
epw3_knäherm epw3_konsensf epw3_konsensm epw3_autf epw3_autm epw3_ekf epw3_ekm

save "ep_w3_kinderlos.dta", replace


*********************************************************
*** Datenaufbereitung Ehepaarpanel Welle 4 Kinderlose ***
*********************************************************

use "$datapath\ZA4266_Welle4_Kinderlose.dta", clear

keep if geschl == 1 

gen status_w4_1 = 0
replace status_w4_1 = 1 if vc1502 == 1 

keep id status_w4_1

save "ep_w4_kinderlos.dta", replace


*****************************************************
*** Datenaufbereitung Ehepaarpanel Welle 4 Eltern ***
*****************************************************

use "$datapath\ZA4266_Welle4_Eltern.dta", clear

keep if geschl == 1 

gen status_w4_2 = 1 

keep id status_w4_2

save "ep_w4_Eltern.dta", replace


***********************************************
*** Datenaufbereitung NEL-Panel Welle 2 Ehe ***
***********************************************

use "$datapath\ZA4665_Welle2_Ehe.dta", clear

gen np_ehe_w2_1 = 1 if vgeschl == 1

gen np_status_w2_1 = 0 if vgeschl == 1 & wd0 == 0
replace np_status_w2_1 = 1 if vgeschl == 1 & (wd0 == 1 | wd0 == 2) 

gen wave_w2_2 = 1

* Alter

gen npw2_agef_1 = vb1 if vgeschl == 1 
gen npw2_agem_1 = vb1 if vgeschl == 2

* Erwerbsstatus 

gen npw2_ausbf = 0 if vgeschl == 1 
replace npw2_ausbf = 1 if (va3 == 2 | va3 == 3) & vgeschl == 1 

gen npw2_nepf = 0 if vgeschl == 1
replace npw2_nepf = 1 if (va3 == 1 | va3 == 4 | va3 == 7) & vgeschl == 1 

* Erwerbstätig? 
gen npw2_ewtf = 0 if vgeschl == 1 
replace npw2_ewtf = 1 if (wa1 == 1 | wa1 == 2) & vgeschl == 1 
 
* Änderung Umfang der EWT seit Vorwelle?
gen npw2_changef = 0 if vgeschl == 1
replace npw2_changef = 1 if wa6 == 1 & vgeschl == 1

* Personen mit Veränderung: Voll- (1) oder Teilzeit(0)?
gen npw2_vzf = 0 if (va6 == 2 | va6 == 3) & vgeschl == 1
replace npw2_vzf = 1 if va6 == 1 & vgeschl == 1

gen npw2_ausbm = 0 if vgeschl == 2 
replace npw2_ausbm = 1 if (va3 == 2 | va3 == 3) & vgeschl == 2 

gen npw2_nepm = 0 if vgeschl == 2
replace npw2_nepm = 1 if (va3 == 1 | va3 == 4 | va3 == 7) & vgeschl == 2 

gen npw2_ewtm = 0 if vgeschl == 2 
replace npw2_ewtm = 1 if (wa1 == 1 | wa1 == 2) & vgeschl == 2 
 
gen npw2_changem = 0 if vgeschl == 2
replace npw2_changem = 1 if wa6 == 1 & vgeschl == 2

gen npw2_vzm = 0 if (va6 == 2 | va6 == 3) & vgeschl == 2
replace npw2_vzm = 1 if va6 == 1 & vgeschl == 2

* Berufliche Autonomie 

gen npw2_autf = va4 if vgeschl == 1 
gen npw2_autm = va4 if vgeschl == 2

* Persönliches Nettoeinkommen (DM) 

gen npw2_ekf = vg171 if vgeschl == 1 
gen npw2_ekm = vg171 if vgeschl == 2

* Religiositäts-Einzelitems  

recode vg7 (0=0) (1=3) (2=12) (3=52) if vgeschl == 1, gen(npw2_kgangf)
recode vg7 (0=0) (1=3) (2=12) (3=52) if vgeschl == 2, gen(npw2_kgangm)  

gen npw2_zentf = vg106 if vgeschl == 1 
gen npw2_zentm = vg106 if vgeschl == 2

gen npw2_bedeutf = vg5 if vgeschl == 1
gen npw2_bedeutm = vg5 if vgeschl == 2

gen npw2_verbundf = vg6 if vgeschl == 1 
gen npw2_verbundm = vg6 if vgeschl == 2 

* Kinderkosten und -nutzen Einzelitems 

gen npw2_kzeitf = vd91 if vgeschl == 1 
gen npw2_kzeitm = vd91 if vgeschl == 2
  
gen npw2_kintsf = vd92 if vgeschl == 1 
gen npw2_kintsm = vd92 if vgeschl == 2

gen npw2_gkindf = vd93 if vgeschl == 1 
gen npw2_gkindm = vd93 if vgeschl == 2

gen npw2_brauchkf = vd94 if vgeschl == 1 
gen npw2_brauchkm = vd94 if vgeschl == 2

gen npw2_kliebef = vd95 if vgeschl == 1 
gen npw2_kliebem = vd95 if vgeschl == 2

gen npw2_ksorgef = vd96 if vgeschl == 1 
gen npw2_ksorgem = vd96 if vgeschl == 2

gen npw2_ksinnf = vd97 if vgeschl == 1 
gen npw2_ksinnm = vd97 if vgeschl == 2

gen npw2_kbelastf = vd98 if vgeschl == 1 
gen npw2_kbelastm = vd98 if vgeschl == 2

gen npw2_knäherf = vd99 if vgeschl == 1 
gen npw2_knäherm = vd99 if vgeschl == 2

* Geburtstiming (1. Kind): Partnerkonsens 

gen npw2_konsensf = 0 if vgeschl == 1 
replace npw2_konsensf = 1 if vd62 == 1 & vgeschl == 1 

gen npw2_konsensm = 0 if vgeschl == 2 
replace npw2_konsensm = 1 if vd62 == 1 & vgeschl == 2 

* Save

keep id vgeschl np_ehe_w2_1 np_status_w2_1 wave_w2_2 npw2_agef_1 npw2_agem_1 npw2_ausbf npw2_nepf npw2_changef ///
npw2_ewtf npw2_vzf npw2_ausbm npw2_nepm npw2_ewtm npw2_changem npw2_vzm npw2_kgangf npw2_kgangm npw2_zentf ///
npw2_zentm npw2_bedeutf npw2_bedeutm npw2_verbundf npw2_verbundm npw2_kzeitf npw2_kzeitm npw2_kintsf npw2_kintsm ///
npw2_gkindf npw2_gkindm npw2_brauchkf npw2_brauchkm npw2_kliebef npw2_kliebem npw2_ksorgef npw2_ksorgem ///
npw2_ksinnf npw2_ksinnm npw2_kbelastf npw2_kbelastm npw2_knäherf npw2_knäherm npw2_konsensf npw2_konsensm ///
npw2_autf npw2_autm npw2_ekf npw2_ekm

save "np_w2_Ehe.dta", replace


***********************************************
*** Datenaufbereitung NEL-Panel Welle 2 NEL ***
***********************************************

use "$datapath\ZA4665_Welle2_NEL.dta", clear

gen np_ehe_w2_2 = 0 if ngeschl == 1

gen np_status_w2_2 = 0 if ngeschl == 1 & nd0n == 0 
replace np_status_w2_2 = 1 if ngeschl == 1 & (nd0n == 1 | nd0n == 2)   

gen wave_w2_3 = 1

* Alter

gen npw2_agef_2 = nb1 if ngeschl == 1 
gen npw2_agem_2 = nb1 if ngeschl == 2

* Erwerbsstatus 

gen npw2_ausbf_2 = 0 if ngeschl == 1 
replace npw2_ausbf_2 = 1 if (na3 == 2 | na3 == 3) & ngeschl == 1 

gen npw2_nepf_2 = 0 if ngeschl == 1
replace npw2_nepf_2 = 1 if (na3 == 1 | na3 == 4 | na3 == 7) & ngeschl == 1 

* Erwerbstätig? 
gen npw2_ewtf_2 = 0 if ngeschl == 1 
replace npw2_ewtf_2 = 1 if (na1n == 1 | na1n == 2) & ngeschl == 1 
 
* Änderung Umfang der EWT seit Vorwelle?
gen npw2_changef_2 = 0 if ngeschl == 1
replace npw2_changef_2 = 1 if na6n == 1 & ngeschl == 1

* Personen mit Veränderung: Voll- (1) oder Teilzeit(0)?
gen npw2_vzf_2 = 0 if (na6 == 2 | na6 == 3) & ngeschl == 1
replace npw2_vzf_2 = 1 if na6 == 1 & ngeschl == 1

gen npw2_ausbm_2 = 0 if ngeschl == 2 
replace npw2_ausbm_2 = 1 if (na3 == 2 | na3 == 3) & ngeschl == 2 

gen npw2_nepm_2 = 0 if ngeschl == 2
replace npw2_nepm_2 = 1 if (na3 == 1 | na3 == 4 | na3 == 7) & ngeschl == 2 

gen npw2_ewtm_2 = 0 if ngeschl == 2 
replace npw2_ewtm_2 = 1 if (na1n == 1 | na1n == 2) & ngeschl == 2 
 
gen npw2_changem_2 = 0 if ngeschl == 2
replace npw2_changem_2 = 1 if na6n == 1 & ngeschl == 2

gen npw2_vzm_2 = 0 if (na6 == 2 | na6 == 3) & ngeschl == 2
replace npw2_vzm_2 = 1 if na6 == 1 & ngeschl == 2

* Berufliche Autonomie 

gen npw2_autf_2 = na4 if ngeschl == 1 
gen npw2_autm_2 = na4 if ngeschl == 2

* Persönliches Nettoeinkommen (DM) 

gen npw2_ekf_2 = ng171 if ngeschl == 1 
gen npw2_ekm_2 = ng171 if ngeschl == 2

* Religiositäts-Einzelitems  

recode ng7 (0=0) (1=3) (2=12) (3=52) if ngeschl == 1, gen(npw2_kgangf_2)
recode ng7 (0=0) (1=3) (2=12) (3=52) if ngeschl == 2, gen(npw2_kgangm_2)  

gen npw2_zentf_2 = ng106 if ngeschl == 1 
gen npw2_zentm_2 = ng106 if ngeschl == 2

gen npw2_bedeutf_2 = ng5 if ngeschl == 1
gen npw2_bedeutm_2 = ng5 if ngeschl == 2

gen npw2_verbundf_2 = ng6 if ngeschl == 1 
gen npw2_verbundm_2 = ng6 if ngeschl == 2 

* Kinderkosten und -nutzen Einzelitems 

gen npw2_kzeitf_2 = nd91 if ngeschl == 1 
gen npw2_kzeitm_2 = nd91 if ngeschl == 2
  
gen npw2_kintsf_2 = nd92 if ngeschl == 1 
gen npw2_kintsm_2 = nd92 if ngeschl == 2

gen npw2_gkindf_2 = nd93 if ngeschl == 1 
gen npw2_gkindm_2 = nd93 if ngeschl == 2

gen npw2_brauchkf_2 = nd94 if ngeschl == 1 
gen npw2_brauchkm_2 = nd94 if ngeschl == 2

gen npw2_kliebef_2 = nd95 if ngeschl == 1 
gen npw2_kliebem_2 = nd95 if ngeschl == 2

gen npw2_ksorgef_2 = nd96 if ngeschl == 1 
gen npw2_ksorgem_2 = nd96 if ngeschl == 2

gen npw2_ksinnf_2 = nd97 if ngeschl == 1 
gen npw2_ksinnm_2 = nd97 if ngeschl == 2

gen npw2_kbelastf_2 = nd98 if ngeschl == 1 
gen npw2_kbelastm_2 = nd98 if ngeschl == 2

gen npw2_knäherf_2 = nd99 if ngeschl == 1 
gen npw2_knäherm_2 = nd99 if ngeschl == 2

* Geburtstiming (1. Kind): Partnerkonsens 

gen npw2_konsensf_2 = 0 if ngeschl == 1 
replace npw2_konsensf_2 = 1 if nd62 == 1 & ngeschl == 1 

gen npw2_konsensm_2 = 0 if ngeschl == 2 
replace npw2_konsensm_2 = 1 if nd62 == 1 & ngeschl == 2 

* Save

keep id ngeschl np_status_w2_2 np_ehe_w2_2 wave_w2_3 npw2_agef_2 npw2_agem_2 npw2_ausbf_2 npw2_nepf_2 ///
npw2_ewtf_2 npw2_changef_2 npw2_vzf_2 npw2_nepm_2 npw2_ausbm_2 npw2_ewtm_2 npw2_changem_2 ///
npw2_vzm_2 npw2_kgangf_2 npw2_kgangm_2 npw2_zentf_2 npw2_zentm_2 npw2_bedeutf_2 npw2_bedeutm_2 ///
npw2_verbundf_2 npw2_verbundm_2 npw2_kzeitf_2 npw2_kintsf_2 npw2_kzeitm_2 npw2_kintsm_2 npw2_gkindf_2 ///
npw2_gkindm_2 npw2_brauchkf_2 npw2_brauchkm_2 npw2_kliebef_2 npw2_kliebem_2 npw2_ksorgef_2 ///
npw2_ksorgem_2 npw2_ksinnf_2 npw2_ksinnm_2 npw2_kbelastf_2 npw2_kbelastm_2 npw2_knäherf_2 ///
npw2_knäherm_2 npw2_konsensf_2 npw2_konsensm_2 npw2_autf_2 npw2_autm_2 npw2_ekf_2 npw2_ekm_2

save "np_w2_NEL.dta", replace


*******************************************
*** Datenaufbereitung NEL-Panel Welle 3 ***
*******************************************

use "$datapath\ZA4665_Welle3.dta", clear

gen np_ehe_w3 = 0 if status3 == 1 & dgeschl == 1
replace np_ehe_w3 = 1 if status3 == 2 & dgeschl == 1 

gen np_status_w3 = 0 if dgeschl == 1 & ed0 == 0 
replace np_status_w3 = 1 if dgeschl == 1 & (ed0 > 0 & ed0 < .) 

gen wave_w3_2 = 1

* Alter

recode db1 (99=.)

gen npw3_agef = db1 if dgeschl == 1 
gen npw3_agem = db1 if dgeschl == 2

* Erwerbsstatus 

gen npw3_ausbf = 0 if dgeschl == 1 
replace npw3_ausbf = 1 if (da3 == 2 | da3 == 3) & dgeschl == 1 

gen npw3_nepf = 0 if dgeschl == 1
replace npw3_nepf = 1 if (da3 == 1 | da3 == 4 | da3 == 7) & dgeschl == 1 

* Erwerbstätig? 
gen npw3_ewtf = 0 if dgeschl == 1
replace npw3_ewtf = 1 if (da1 == 1 | da1 == 2) & dgeschl == 1 
 
* Änderung Umfang der EWT seit Vorwelle?
gen npw3_changef = 0 if dgeschl == 1
replace npw3_changef = 1 if da6n == 1 & dgeschl == 1

* Personen mit Veränderung: Voll- (1) oder Teilzeit(0)?
gen npw3_vzf = 0 if (da6 == 2 | da6 == 3) & dgeschl == 1
replace npw3_vzf = 1 if da6 == 1 & dgeschl == 1

gen npw3_ausbm = 0 if dgeschl == 2 
replace npw3_ausbm = 1 if (da3 == 2 | da3 == 3) & dgeschl == 2 

gen npw3_nepm = 0 if dgeschl == 2
replace npw3_nepm = 1 if (da3 == 1 | da3 == 4 | da3 == 7) & dgeschl == 2 

gen npw3_ewtm = 0 if dgeschl == 2 
replace npw3_ewtm = 1 if (da1 == 1 | da1 == 2) & dgeschl == 2 
 
gen npw3_changem = 0 if dgeschl == 2
replace npw3_changem = 1 if da6n == 1 & dgeschl == 2

gen npw3_vzm = 0 if (da6 == 2 | da6 == 3) & dgeschl == 2
replace npw3_vzm = 1 if da6 == 1 & dgeschl == 2

* Berufliche Autonomie 

gen npw3_autf = da4 if dgeschl == 1 
gen npw3_autm = da4 if dgeschl == 2

* Persönliches Nettoeinkommen (DM) 

gen npw3_ekf = dg171 if dgeschl == 1 
gen npw3_ekm = dg171 if dgeschl == 2

* Kinderkosten und -nutzen Einzelitems 

gen npw3_kzeitf = dd91 if dgeschl == 1 
gen npw3_kzeitm = dd91 if dgeschl == 2
  
gen npw3_kintsf = dd92 if dgeschl == 1 
gen npw3_kintsm = dd92 if dgeschl == 2

gen npw3_gkindf = dd93 if dgeschl == 1 
gen npw3_gkindm = dd93 if dgeschl == 2

gen npw3_brauchkf = dd94 if dgeschl == 1 
gen npw3_brauchkm = dd94 if dgeschl == 2

gen npw3_kliebef = dd95 if dgeschl == 1 
gen npw3_kliebem = dd95 if dgeschl == 2

gen npw3_ksorgef = dd96 if dgeschl == 1 
gen npw3_ksorgem = dd96 if dgeschl == 2

gen npw3_ksinnf = dd97 if dgeschl == 1 
gen npw3_ksinnm = dd97 if dgeschl == 2

gen npw3_kbelastf = dd98 if dgeschl == 1 
gen npw3_kbelastm = dd98 if dgeschl == 2

gen npw3_knäherf = dd99 if dgeschl == 1 
gen npw3_knäherm = dd99 if dgeschl == 2

* Geburtstiming (1. Kind): Partnerkonsens 

gen npw3_konsensf = 0 if dgeschl == 1 
replace npw3_konsensf = 1 if dd62 == 1 & dgeschl == 1 

gen npw3_konsensm = 0 if dgeschl == 2 
replace npw3_konsensm = 1 if dd62 == 1 & dgeschl == 2 

* Save

keep id dgeschl np_ehe_w3 np_status_w3 wave_w3_2 npw3_agef npw3_agem npw3_ausbf npw3_nepf npw3_ewtf ///
npw3_changef npw3_vzf npw3_ausbm npw3_nepm npw3_ewtm npw3_changem npw3_vzm npw3_kzeitf npw3_kzeitm ///
npw3_kintsf npw3_kintsm npw3_gkindf npw3_gkindm npw3_brauchkf npw3_brauchkm npw3_kliebef ///
npw3_kliebem npw3_ksorgef npw3_ksorgem npw3_ksinnf npw3_ksinnm npw3_kbelastf npw3_kbelastm ///
npw3_knäherf npw3_knäherm npw3_konsensf npw3_konsensm npw3_autf npw3_autm npw3_ekf npw3_ekm

save "np_w3.dta", replace


*******************************************
*** Datenaufbereitung NEL-Panel Welle 4 ***
*******************************************

use "$datapath\ZA4665_welle4.dta", clear

keep if lsex == 1

gen np_status_w4 = 0 if kd0 == 0 
replace np_status_w4 = 1 if (kd0 > 0 & kd0 < .) 

keep id np_status_w4

save "np_w4.dta", replace


************************************************
*** Merge und Aufbereitung Long-Format, Ehen ***
************************************************

use "ep_w1.dta", replace

keep if geschl == 1 

save "ep_w1_f.dta", replace

use "ep_w1.dta", replace

keep if geschl == 2 

* id 110729 doppelt vergeben: Ausschluss des Falls 
drop if id == 110729

save "ep_w1_m.dta", replace


use "ep_w2_klos.dta", replace

keep if geschl == 1 

save "ep_w2klos_f.dta", replace

use "ep_w2_klos.dta", replace

keep if geschl == 2 

save "ep_w2klos_m.dta", replace


use "ep_w3_kinderlos.dta", replace

keep if geschl == 1 

save "ep_w3klos_f.dta", replace

use "ep_w3_kinderlos.dta", replace

keep if geschl == 2 

save "ep_w3klos_m.dta", replace


**************
*** Frauen ***
**************

use "ep_w1_f.dta", replace

drop epw1_agem epw1_bildm epw1_ausbm epw1_nepm epw1_tzm epw1_vzm epw1_konfessm ///
epw1_kgangm epw1_zentm epw1_bedeutm epw1_verbundm epw1_releltm epw1_relfamm ///
epw1_kzeitm epw1_kintsm epw1_gkindm epw1_brauchkm epw1_kliebem epw1_ksorgem ///
epw1_ksinnm epw1_kbelastm epw1_knäherm epw1_kwunschm epw1_konsensm epw1_autm epw1_ekm

merge 1:1 id using "ep_w1_m.dta", keep(match master)

drop _merge

merge 1:1 id using "ep_w2klos_f.dta", keep(match master)

drop _merge epw2_agem epw2_ausbm epw2_nepm epw2_ewtm epw2_changem epw2_vzm epw2_kzeitm ///
epw2_kintsm epw2_gkindm epw2_brauchkm epw2_kliebem epw2_ksorgem epw2_ksinnm ///
epw2_kbelastm epw2_knäherm epw2_konsensm epw2_autm epw2_ekm

merge 1:1 id using "ep_w2klos_m.dta", keep(match master)

drop _merge

merge 1:1 id using "ep_w2_kind.dta", keep(match master)

drop _merge

merge 1:1 id using "ep_w3klos_f.dta", keep(match master)

drop _merge epw3_agem epw3_ausbm epw3_nepm epw3_ewtm epw3_tzm epw3_vzm epw3_kgangm ///
epw3_zentm epw3_bedeutm epw3_verbundm epw3_kzeitm epw3_kintsm epw3_brauchkm ///
epw3_kliebem epw3_ksorgem epw3_ksinnm epw3_kbelastm epw3_knäherm epw3_konsensm ///
epw3_autm epw3_ekm

merge 1:1 id using "ep_w3klos_m.dta", keep(match master)

drop _merge

merge 1:1 id using "ep_w3_1kind.dta", keep(match master)

drop _merge

merge 1:1 id using "ep_w3_2kinder.dta", keep(match master)

drop _merge

merge 1:1 id using "ep_w4_Eltern.dta", keep(match master)

drop _merge

merge 1:1 id using "ep_w4_kinderlos.dta", keep(match master)


gen status1 = status_w2_1 
replace status1 = status_w2_2 if status1 == . 

gen status2 = status_w3_1 
replace status2 = status_w3_2 if status2 == . 
replace status2 = status_w3_3 if status2 == . 

gen status3 = status_w4_1 
replace status3 = status_w4_2 if status3 == . 

replace status2 = . if status1 == 1
replace status3 = . if (status1 == 1 | status2 == 1)

save "ep_status_f.dta", replace 

* Hochgewichtung Kinderloser, da hier ab Welle 2 nur eine Zufallsstichprobe befragt wurde 
gen weight1 = 1 
gen weight2 = 1
gen weight3 = 1 
replace weight1 = 1.6 if wave_w2 == 1 
replace weight2 = 1.6 if wave_w3 == 1 
replace weight3 = 1.6 if status_w4_1 == 0 | status_w4_1 == 1
 
gen agef1 = epw1_agef 
gen agef2 = epw2_agef 
gen agef3 = epw3_agef 

gen agem1 = epw1_agem
gen agem2 = epw2_agem 
gen agem3 = epw3_agem 

gen pdau1 = epw1_pdau 
gen pdau2 = epw1_pdau + 2
gen pdau3 = epw1_pdau + 4

gen ehe1 = 1
gen ehe2 = 1 
gen ehe3 = 1

gen ausbf1 = epw1_ausbf
gen ausbf2 = epw2_ausbf 
gen ausbf3 = epw3_ausbf 

gen nepf1 = epw1_nepf
gen nepf2 = epw2_nepf
gen nepf3 = epw3_nepf

gen tzf1 = epw1_tzf
gen tzf2 = tzf1 if epw2_ewtf == 1 & epw2_changef == 0 
replace tzf2 = 0 if epw2_vzf == 1
replace tzf2 = 1 if epw2_vzf == 0
replace tzf2 = 0 if epw2_ewtf == 0
gen tzf3 = epw3_tzf

gen vzf1 = epw1_vzf
gen vzf2 = vzf1 if epw2_ewtf == 1 & epw2_changef == 0 
replace vzf2 = 0 if epw2_vzf == 0
replace vzf2 = 1 if epw2_vzf == 1
replace vzf2 = 0 if epw2_ewtf == 0
gen vzf3 = epw3_vzf 

gen ausbm1 = epw1_ausbm
gen ausbm2 = epw2_ausbm 
gen ausbm3 = epw3_ausbm 

gen nepm1 = epw1_nepm
gen nepm2 = epw2_nepm
gen nepm3 = epw3_nepm

gen tzm1 = epw1_tzm
gen tzm2 = tzm1 if epw2_ewtm == 1 & epw2_changem == 0 
replace tzm2 = 0 if epw2_vzm == 1
replace tzm2 = 1 if epw2_vzm == 0
replace tzm2 = 0 if epw2_ewtm == 0
gen tzm3 = epw3_tzm

gen vzm1 = epw1_vzm
gen vzm2 = vzm1 if epw2_ewtm == 1 & epw2_changem == 0 
replace vzm2 = 0 if epw2_vzm == 0
replace vzm2 = 1 if epw2_vzm == 1
replace vzm2 = 0 if epw2_ewtm == 0
gen vzm3 = epw3_vzm 

gen autf1 = epw1_autf 
gen autf2 = epw2_autf 
gen autf3 = epw3_autf 
replace autf2 = 99 if autf1 == 99
replace autf3 = 99 if autf1 == 99
replace autf2 = autf1 if autf2 == .

gen autm1 = epw1_autm 
gen autm2 = epw2_autm
gen autm3 = epw3_autm
replace autm2 = 99 if autm1 == 99
replace autm3 = 99 if autm1 == 99
replace autm2 = autm1 if autm2 == .

gen ekf1 = epw1_ekf 
gen ekf2 = epw2_ekf
gen ekf3 = epw3_ekf

gen ekm1 = epw1_ekm 
gen ekm2 = epw2_ekm
gen ekm3 = epw3_ekm

gen kgangf1 = epw1_kgangf 
gen kgangf2 = epw1_kgangf 
gen kgangf3 = epw3_kgangf 

gen zentf1 = epw1_zentf 
gen zentf2 = epw1_zentf 
gen zentf3 = epw3_zentf 

gen bedeutf1 = epw1_bedeutf 
gen bedeutf2 = epw1_bedeutf 
gen bedeutf3 = epw3_bedeutf 

gen verbundf1 = epw1_verbundf 
gen verbundf2 = epw1_verbundf 
gen verbundf3 = epw3_verbundf 

gen kzeitf1 = epw1_kzeitf 
gen kzeitf2 = epw2_kzeitf
gen kzeitf3 = epw3_kzeitf 

gen kintsf1 = epw1_kintsf
gen kintsf2 = epw2_kintsf
gen kintsf3 = epw3_kintsf

gen gkindf1 = epw1_gkindf
gen gkindf2 = epw2_gkindf
gen gkindf3 = epw2_gkindf

gen brauchkf1 = epw1_brauchkf
gen brauchkf2 = epw2_brauchkf
gen brauchkf3 = epw3_brauchkf

gen kliebef1 = epw1_kliebef
gen kliebef2 = epw2_kliebef
gen kliebef3 = epw3_kliebef

gen ksorgef1 = epw1_ksorgef
gen ksorgef2 = epw2_ksorgef
gen ksorgef3 = epw3_ksorgef

gen ksinnf1 = epw1_ksinnf
gen ksinnf2 = epw2_ksinnf
gen ksinnf3 = epw3_ksinnf

gen kbelastf1 = epw1_kbelastf
gen kbelastf2 = epw2_kbelastf
gen kbelastf3 = epw3_kbelastf

gen knäherf1 = epw1_knäherf
gen knäherf2 = epw2_knäherf
gen knäherf3 = epw3_knäherf

gen konsensf1 = epw1_konsensf
gen konsensf2 = epw2_konsensf
gen konsensf3 = epw3_konsensf

keep id epw1_bildf epw1_bildm epw1_konfessf epw1_kwunschf epw1_releltf epw1_relfamf ///
status1 status2 status3 weight1 weight2 weight3 agef1 agef2 agef3 pdau1 pdau2 pdau3 ///
ehe1 ehe2 ehe3 ausbf1 ausbf2 ausbf3 nepf1 nepf2 nepf3 tzf1 ///
tzf2 tzf3 vzf1 vzf2 vzf3 kgangf1 kgangf2 kgangf3 zentf1 zentf2 ///
zentf3 bedeutf1 bedeutf2 bedeutf3 verbundf1 verbundf2 verbundf3 ///
kzeitf1 kzeitf2 kzeitf3 kintsf1 kintsf2 kintsf3 gkindf1 gkindf2 ///
gkindf3 brauchkf1 brauchkf2 brauchkf3 kliebef1 kliebef2 kliebef3 ///
ksorgef1 ksorgef2 ksorgef3 ksinnf1 ksinnf2 ksinnf3 kbelastf1 ///
kbelastf2 kbelastf3 knäherf1 knäherf2 knäherf3 konsensf1 konsensf2 konsensf3 ///
ausbm1 ausbm2 ausbm3 nepm1 nepm2 nepm3 tzm1 tzm2 tzm3 vzm1 vzm2 vzm3 ///
agem1 agem2 agem3 autf1 autf2 autf3 autm1 autm2 autm3 ekf1 ekf2 ekf3 ekm1 ekm2 ekm3

reshape long status weight agef agem pdau ehe ausbf nepf tzf vzf kgangf zentf bedeutf verbundf ///
kzeitf kintsf gkindf brauchkf kliebef ksorgef ksinnf kbelastf knäherf konsensf ausbm ///
nepm tzm vzm autf autm ekf ekm, i(id) j(wave)

rename epw1_bildf bildf 
rename epw1_bildm bildm
rename epw1_konfessf konfessf 
rename epw1_kwunschf kwunschf  
rename epw1_releltf relelt_f 
rename epw1_relfamf relfam_f 

save "ep_frauen_long.dta", replace


**************
*** Männer ***
**************

use "ep_status_f.dta", replace 

keep id status1 status2 status3

save "ep_status_f.dta", replace

use "ep_w1_m.dta", replace

merge 1:1 id using "ep_status_f.dta", keep(match master)

drop _merge epw1_agef epw1_bildf epw1_ausbf epw1_nepf epw1_tzf epw1_vzf epw1_konfessf ///
epw1_kgangf epw1_zentf epw1_bedeutf epw1_verbundf epw1_releltf epw1_relfamf ///
epw1_kzeitf epw1_kintsf epw1_gkindf epw1_brauchkf epw1_kliebef epw1_ksorgef ///
epw1_ksinnf epw1_kbelastf epw1_knäherf epw1_kwunschf epw1_konsensf epw1_autf epw1_ekf

merge 1:1 id using "ep_w1_f.dta", keep(match master)

drop _merge 

merge 1:1 id using "ep_w2klos_m.dta", keep(match master)

drop _merge epw2_agef epw2_ausbf epw2_nepf epw2_ewtf epw2_changef epw2_vzf ///
epw2_kzeitf epw2_kintsf epw2_gkindf epw2_brauchkf epw2_kliebef epw2_ksorgef ///
epw2_ksinnf epw2_kbelastf epw2_knäherf epw2_konsensf epw2_autf epw2_ekf

merge 1:1 id using "ep_w2klos_f.dta", keep(match master)

drop _merge 

merge 1:1 id using "ep_w2_kind.dta", keep(match master)

drop _merge

merge 1:1 id using "ep_w3klos_m.dta", keep(match master)

drop _merge epw3_agef epw3_ausbf epw3_nepf epw3_ewtf epw3_tzf epw3_vzf ///
epw3_kgangf epw3_zentf epw3_bedeutf epw3_verbundf epw3_kzeitf epw3_kintsf ///
epw3_brauchkf epw3_kliebef epw3_ksorgef epw3_ksinnf epw3_kbelastf ///
epw3_knäherf epw3_konsensf epw3_autf epw3_ekf

merge 1:1 id using "ep_w3klos_f.dta", keep(match master)

drop _merge

merge 1:1 id using "ep_w3_1kind.dta", keep(match master)

drop _merge

merge 1:1 id using "ep_w3_2kinder.dta", keep(match master)

drop _merge

merge 1:1 id using "ep_w4_Eltern.dta", keep(match master)

drop _merge

merge 1:1 id using "ep_w4_kinderlos.dta", keep(match master)
 

gen weight1 = 1 
gen weight2 = 1
gen weight3 = 1 
replace weight1 = 1.6 if wave_w2 == 1 
replace weight2 = 1.6 if wave_w3 == 1 
replace weight3 = 1.6 if status_w4_1 == 0 | status_w4_1 == 1
 
gen agem1 = epw1_agem 
gen agem2 = epw2_agem 
gen agem3 = epw3_agem 

gen agef1 = epw1_agef 
gen agef2 = epw2_agef 
gen agef3 = epw3_agef 

gen pdau1 = epw1_pdau 
gen pdau2 = epw1_pdau + 2
gen pdau3 = epw1_pdau + 4

gen ehe1 = 1
gen ehe2 = 1 
gen ehe3 = 1

gen ausbm1 = epw1_ausbm
gen ausbm2 = epw2_ausbm 
gen ausbm3 = epw3_ausbm 

gen nepm1 = epw1_nepm
gen nepm2 = epw2_nepm
gen nepm3 = epw3_nepm

gen tzm1 = epw1_tzm
gen tzm2 = tzm1 if epw2_ewtm == 1 & epw2_changem == 0 
replace tzm2 = 0 if epw2_vzm == 1
replace tzm2 = 1 if epw2_vzm == 0
replace tzm2 = 0 if epw2_ewtm == 0
gen tzm3 = epw3_tzm

gen vzm1 = epw1_vzm
gen vzm2 = vzm1 if epw2_ewtm == 1 & epw2_changem == 0 
replace vzm2 = 0 if epw2_vzm == 0
replace vzm2 = 1 if epw2_vzm == 1
replace vzm2 = 0 if epw2_ewtm == 0
gen vzm3 = epw3_vzm 

gen ausbf1 = epw1_ausbf
gen ausbf2 = epw2_ausbf 
gen ausbf3 = epw3_ausbf 

gen nepf1 = epw1_nepf
gen nepf2 = epw2_nepf
gen nepf3 = epw3_nepf

gen tzf1 = epw1_tzf
gen tzf2 = tzf1 if epw2_ewtf == 1 & epw2_changef == 0 
replace tzf2 = 0 if epw2_vzf == 1
replace tzf2 = 1 if epw2_vzf == 0
replace tzf2 = 0 if epw2_ewtf == 0
gen tzf3 = epw3_tzf

gen vzf1 = epw1_vzf
gen vzf2 = vzf1 if epw2_ewtf == 1 & epw2_changef == 0 
replace vzf2 = 0 if epw2_vzf == 0
replace vzf2 = 1 if epw2_vzf == 1
replace vzf2 = 0 if epw2_ewtf == 0
gen vzf3 = epw3_vzf 

gen autf1 = epw1_autf 
gen autf2 = epw2_autf 
gen autf3 = epw3_autf 
replace autf2 = 99 if autf1 == 99
replace autf3 = 99 if autf1 == 99
replace autf2 = autf1 if autf2 == .

gen autm1 = epw1_autm 
gen autm2 = epw2_autm
gen autm3 = epw3_autm
replace autm2 = 99 if autm1 == 99
replace autm3 = 99 if autm1 == 99
replace autm2 = autm1 if autm2 == .

gen ekf1 = epw1_ekf 
gen ekf2 = epw2_ekf
gen ekf3 = epw3_ekf

gen ekm1 = epw1_ekm 
gen ekm2 = epw2_ekm
gen ekm3 = epw3_ekm

gen kgangm1 = epw1_kgangm 
gen kgangm2 = epw1_kgangm 
gen kgangm3 = epw3_kgangm 

gen zentm1 = epw1_zentm 
gen zentm2 = epw1_zentm 
gen zentm3 = epw3_zentm 

gen bedeutm1 = epw1_bedeutm 
gen bedeutm2 = epw1_bedeutm 
gen bedeutm3 = epw3_bedeutm 

gen verbundm1 = epw1_verbundm 
gen verbundm2 = epw1_verbundm 
gen verbundm3 = epw3_verbundm 

gen kzeitm1 = epw1_kzeitm 
gen kzeitm2 = epw2_kzeitm
gen kzeitm3 = epw3_kzeitm 

gen kintsm1 = epw1_kintsm
gen kintsm2 = epw2_kintsm
gen kintsm3 = epw3_kintsm

gen gkindm1 = epw1_gkindm
gen gkindm2 = epw2_gkindm
gen gkindm3 = epw2_gkindm

gen brauchkm1 = epw1_brauchkm
gen brauchkm2 = epw2_brauchkm
gen brauchkm3 = epw3_brauchkm

gen kliebem1 = epw1_kliebem
gen kliebem2 = epw2_kliebem
gen kliebem3 = epw3_kliebem

gen ksorgem1 = epw1_ksorgem
gen ksorgem2 = epw2_ksorgem
gen ksorgem3 = epw3_ksorgem

gen ksinnm1 = epw1_ksinnm
gen ksinnm2 = epw2_ksinnm
gen ksinnm3 = epw3_ksinnm

gen kbelastm1 = epw1_kbelastm
gen kbelastm2 = epw2_kbelastm
gen kbelastm3 = epw3_kbelastm

gen knäherm1 = epw1_knäherm
gen knäherm2 = epw2_knäherm
gen knäherm3 = epw3_knäherm

gen konsensm1 = epw1_konsensm
gen konsensm2 = epw2_konsensm
gen konsensm3 = epw3_konsensm

keep id epw1_bildm epw1_bildf epw1_konfessm epw1_kwunschm epw1_releltm epw1_relfamm status1 status2 status3 ///
weight1 weight2 weight3 agem1 agem2 agem3 pdau1 pdau2 pdau3 ///
ehe1 ehe2 ehe3 ausbm1 ausbm2 ausbm3 nepm1 nepm2 nepm3 tzm1 ///
tzm2 tzm3 vzm1 vzm2 vzm3 kgangm1 kgangm2 kgangm3 zentm1 zentm2 ///
zentm3 bedeutm1 bedeutm2 bedeutm3 verbundm1 verbundm2 verbundm3 ///
kzeitm1 kzeitm2 kzeitm3 kintsm1 kintsm2 kintsm3 gkindm1 gkindm2 ///
gkindm3 brauchkm1 brauchkm2 brauchkm3 kliebem1 kliebem2 kliebem3 ///
ksorgem1 ksorgem2 ksorgem3 ksinnm1 ksinnm2 ksinnm3 kbelastm1 ///
kbelastm2 kbelastm3 knäherm1 knäherm2 knäherm3 konsensm1 konsensm2 konsensm3 ///
ausbf1 ausbf2 ausbf3 nepf1 nepf2 nepf3 tzf1 tzf2 tzf3 vzf1 vzf2 vzf3 epw1_bildf ///
agef1 agef2 agef3 autf1 autf2 autf3 autm1 autm2 autm3 ekf1 ekf2 ekf3 ekm1 ekm2 ekm3

reshape long status weight agem agef pdau ehe ausbm nepm tzm vzm kgangm zentm bedeutm verbundm ///
kzeitm kintsm gkindm brauchkm kliebem ksorgem ksinnm kbelastm knäherm konsensm ///
ausbf nepf tzf vzf autf autm ekf ekm, i(id) j(wave)

rename epw1_bildf bildf 
rename epw1_bildm bildm
rename epw1_konfessm konfessm 
rename epw1_kwunschm kwunschm  
rename epw1_releltm relelt_m 
rename epw1_relfamm relfam_m 

save "ep_männer_long.dta", replace


**********************************************
*** Merge und Aufbereitung Long-Format NEL ***
**********************************************

use "np_w1.dta", replace

keep if geschl == 1 

save "np_w1_f.dta", replace

use "np_w1.dta", replace

keep if geschl == 2 

save "np_w1_m.dta", replace


use "np_w2_Ehe.dta", replace

keep if vgeschl == 1 

save "np_w2_Ehe_f.dta", replace

use "np_w2_Ehe.dta", replace

keep if vgeschl == 2 

save "np_w2_Ehe_m.dta", replace


use "np_w2_NEL.dta", replace

keep if ngeschl == 1 

save "np_w2_NEL_f.dta", replace

use "np_w2_NEL.dta", replace

keep if ngeschl == 2 

save "np_w2_NEL_m.dta", replace


use "np_w3.dta", replace

keep if dgeschl == 1 

save "np_w3_f.dta", replace

use "np_w3.dta", replace

keep if dgeschl == 2 

save "np_w3_m.dta", replace


****************************************
*** Frauen, Aufbereitung Long-Format ***
****************************************

use "np_w1_f.dta", replace

drop npw1_agem npw1_bildm npw1_ausbm npw1_nepm npw1_tzm npw1_vzm npw1_konfessm ///
npw1_kgangm npw1_zentm npw1_bedeutm npw1_verbundm npw1_releltm npw1_relfamm ///
npw1_kzeitm npw1_kintsm npw1_gkindm npw1_brauchkm npw1_kliebem npw1_ksorgem ///
npw1_ksinnm npw1_kbelastm npw1_knäherm npw1_kwunschm npw1_konsensm ///
npw1_autm npw1_ekm

merge 1:1 id using "np_w1_m.dta", keep(match master)

drop _merge

merge 1:1 id using "np_w2_Ehe_f.dta", keep(match master)

drop _merge npw2_agem_1 npw2_ausbm npw2_nepm npw2_ewtm npw2_changem npw2_vzm ///
npw2_kgangm npw2_zentm npw2_bedeutm npw2_verbundm npw2_kzeitm npw2_kintsm npw2_gkindm ///
npw2_brauchkm npw2_kliebem npw2_ksorgem npw2_ksinnm npw2_kbelastm npw2_knäherm npw2_konsensm ///
npw2_autm npw2_ekm

merge 1:1 id using "np_w2_Ehe_m.dta", keep(match master)

drop _merge

merge 1:1 id using "np_w2_NEL_f.dta", keep(match master)

drop _merge npw2_agem_2 npw2_ausbm_2 npw2_nepm_2 npw2_ewtm_2 npw2_changem_2 ///
npw2_vzm_2 npw2_kgangm_2 npw2_zentm_2 npw2_bedeutm_2 npw2_verbundm_2 npw2_kzeitm_2 ///
npw2_kintsm_2 npw2_gkindm_2 npw2_brauchkm_2 npw2_kliebem_2 npw2_ksorgem_2 ///
npw2_ksinnm_2 npw2_kbelastm_2 npw2_knäherm_2 npw2_konsensm_2 ///
npw2_autm_2 npw2_ekm_2

merge 1:1 id using "np_w2_NEL_m.dta", keep(match master)

drop _merge

merge 1:1 id using "np_w3_f.dta", keep(match master)

drop _merge npw3_agem npw3_ausbm npw3_nepm npw3_ewtm npw3_changem ///
npw3_vzm npw3_kzeitm npw3_kintsm npw3_gkindm npw3_brauchkm npw3_kliebem ///
npw3_ksorgem npw3_ksinnm npw3_kbelastm npw3_knäherm npw3_konsensm ///
npw3_autm npw3_ekm

merge 1:1 id using "np_w3_m.dta", keep(match master)

drop _merge

merge 1:1 id using "np_w4.dta", keep(match master)


gen status1 = np_status_w2_1
replace status1 = np_status_w2_2 if status1 == . 
gen status2 = np_status_w3 
gen status3 = np_status_w4
replace status2 = . if status1 == 1
replace status3 = . if (status1 == 1 | status2 == 1) 

save "np_status_f.dta", replace

gen weight1 = 1 
gen weight2 = 1
gen weight3 = 1 
 
gen agef1 = npw1_agef 
gen agef2 = npw2_agef_1
replace agef2 = npw2_agef_2 if agef2 == .
gen agef3 = npw3_agef 

gen agem1 = npw1_agem 
gen agem2 = npw2_agem_1
replace agem2 = npw2_agem_2 if agem2 == .
gen agem3 = npw3_agem 

gen pdau1 = npw1_pdau 
gen pdau2 = pdau1 + 2
gen pdau3 = pdau1 + 4

gen ehe1 = 0
gen ehe2 = np_ehe_w2_1 
replace ehe2 = np_ehe_w2_2 if ehe2 == . 
gen ehe3 = np_ehe_w3

save "np_ehe_f.dta", replace

gen ausbf1 = npw1_ausbf
gen ausbf2 = npw2_ausbf 
replace ausbf2 = npw2_ausbf_2 if ausbf2 == . 
gen ausbf3 = npw3_ausbf

gen nepf1 = npw1_nepf
gen nepf2 = npw2_nepf 
replace nepf2 = npw2_nepf_2 if nepf2 == .
gen nepf3 = npw3_nepf

gen tzf1 = npw1_tzf

gen tzf2 = tzf1 if npw2_ewtf == 1 & npw2_changef == 0 
replace tzf2 = 0 if npw2_vzf == 1
replace tzf2 = 1 if npw2_vzf == 0
replace tzf2 = 0 if npw2_ewtf == 0

gen tzf2_2 = tzf1 if npw2_ewtf_2 == 1 & npw2_changef_2 == 0 
replace tzf2_2 = 0 if npw2_vzf_2 == 1
replace tzf2_2 = 1 if npw2_vzf_2 == 0
replace tzf2_2 = 0 if npw2_ewtf_2 == 0

replace tzf2 = tzf2_2 if tzf2 == .

gen tzf3 = tzf2 if npw3_ewtf == 1 & npw3_changef == 0 
replace tzf3 = 0 if npw3_vzf == 1
replace tzf3 = 1 if npw3_vzf == 0
replace tzf3 = 0 if npw3_ewtf == 0

gen vzf1 = npw1_vzf

gen vzf2 = vzf1 if npw2_ewtf == 1 & npw2_changef == 0 
replace vzf2 = 0 if npw2_vzf == 0
replace vzf2 = 1 if npw2_vzf == 1
replace vzf2 = 0 if npw2_ewtf == 0

gen vzf2_2 = vzf1 if npw2_ewtf_2 == 1 & npw2_changef_2 == 0 
replace vzf2_2 = 0 if npw2_vzf_2 == 0
replace vzf2_2 = 1 if npw2_vzf_2 == 1
replace vzf2_2 = 0 if npw2_ewtf_2 == 0

replace vzf2 = vzf2_2 if vzf2 == .

gen vzf3 = vzf2 if npw3_ewtf == 1 & npw3_changef == 0 
replace vzf3 = 0 if npw3_vzf == 0
replace vzf3 = 1 if npw3_vzf == 1
replace vzf3 = 0 if npw3_ewtf == 0

gen ausbm1 = npw1_ausbm
gen ausbm2 = npw2_ausbm 
replace ausbm2 = npw2_ausbm_2 if ausbm2 == .
gen ausbm3 = npw3_ausbm

gen nepm1 = npw1_nepm
gen nepm2 = npw2_nepm 
replace nepm2 = npw2_nepm_2 if nepm2 == .
gen nepm3 = npw3_nepm

gen tzm1 = npw1_tzm

gen tzm2 = tzm1 if npw2_ewtm == 1 & npw2_changem == 0 
replace tzm2 = 0 if npw2_vzm == 1
replace tzm2 = 1 if npw2_vzm == 0
replace tzm2 = 0 if npw2_ewtm == 0

gen tzm2_2 = tzm1 if npw2_ewtm_2 == 1 & npw2_changem_2 == 0 
replace tzm2_2 = 0 if npw2_vzm_2 == 1
replace tzm2_2 = 1 if npw2_vzm_2 == 0
replace tzm2_2 = 0 if npw2_ewtm_2 == 0

replace tzm2 = tzm2_2 if tzm2 == .

gen tzm3 = tzm2 if npw3_ewtm == 1 & npw3_changem == 0 
replace tzm3 = 0 if npw3_vzm == 1
replace tzm3 = 1 if npw3_vzm == 0
replace tzm3 = 0 if npw3_ewtm == 0

gen vzm1 = npw1_vzm

gen vzm2 = vzm1 if npw2_ewtm == 1 & npw2_changem == 0 
replace vzm2 = 0 if npw2_vzm == 0
replace vzm2 = 1 if npw2_vzm == 1
replace vzm2 = 0 if npw2_ewtm == 0

gen vzm2_2 = vzm1 if npw2_ewtm_2 == 1 & npw2_changem_2 == 0 
replace vzm2_2 = 0 if npw2_vzm_2 == 0
replace vzm2_2 = 1 if npw2_vzm_2 == 1
replace vzm2_2 = 0 if npw2_ewtm_2 == 0

replace vzm2 = vzm2_2 if vzm2 == .

gen vzm3 = vzm2 if npw3_ewtm == 1 & npw3_changem == 0 
replace vzm3 = 0 if npw3_vzm == 0
replace vzm3 = 1 if npw3_vzm == 1
replace vzm3 = 0 if npw3_ewtm == 0

gen kgangf1 = npw1_kgangf 
gen kgangf2 = npw2_kgangf
replace kgangf2 = npw2_kgangf_2 if kgangf2 ==. 
gen kgangf3 = kgangf2 

gen zentf1 = npw1_zentf 
gen zentf2 = npw2_zentf 
replace zentf2 = npw2_zentf_2 if zentf2 ==. 
gen zentf3 = zentf2

gen bedeutf1 = npw1_bedeutf 
gen bedeutf2 = npw2_bedeutf
replace bedeutf2 = npw2_bedeutf_2 if bedeutf2 ==.  
gen bedeutf3 = bedeutf2 

gen verbundf1 = npw1_verbundf 
gen verbundf2 = npw2_verbundf
replace verbundf2 = npw2_verbundf_2 if verbundf2 ==.  
gen verbundf3 = verbundf2

gen kzeitf1 = npw1_kzeitf 
gen kzeitf2 = npw2_kzeitf
replace kzeitf2 = npw2_kzeitf_2 if kzeitf2 == .
gen kzeitf3 = npw3_kzeitf 

gen kintsf1 = npw1_kintsf
gen kintsf2 = npw2_kintsf
replace kintsf2 = npw2_kintsf_2 if kintsf2 == .
gen kintsf3 = npw3_kintsf

gen gkindf1 = npw1_gkindf
gen gkindf2 = npw2_gkindf
replace gkindf2 = npw2_gkindf_2 if gkindf2 == .
gen gkindf3 = npw2_gkindf

gen brauchkf1 = npw1_brauchkf
gen brauchkf2 = npw2_brauchkf
replace brauchkf2 = npw2_brauchkf_2 if brauchkf2 == .
gen brauchkf3 = npw3_brauchkf

gen kliebef1 = npw1_kliebef
gen kliebef2 = npw2_kliebef
replace kliebef2 = npw2_kliebef_2 if kliebef2 == .
gen kliebef3 = npw3_kliebef

gen ksorgef1 = npw1_ksorgef
gen ksorgef2 = npw2_ksorgef
replace ksorgef2 = npw2_ksorgef_2 if ksorgef2 == .
gen ksorgef3 = npw3_ksorgef

gen ksinnf1 = npw1_ksinnf
gen ksinnf2 = npw2_ksinnf
replace ksinnf2 = npw2_ksinnf_2 if ksinnf2 == .
gen ksinnf3 = npw3_ksinnf

gen kbelastf1 = npw1_kbelastf
gen kbelastf2 = npw2_kbelastf
replace kbelastf2 = npw2_kbelastf_2 if kbelastf2 == .
gen kbelastf3 = npw3_kbelastf

gen knäherf1 = npw1_knäherf
gen knäherf2 = npw2_knäherf
replace knäherf2 = npw2_knäherf_2 if knäherf2 == .
gen knäherf3 = npw3_knäherf

gen konsensf1 = npw1_konsensf
gen konsensf2 = npw2_konsensf
replace konsensf2 = npw2_konsensf_2 if konsensf2 == .
gen konsensf3 = npw3_konsensf

gen autf1 = npw1_autf 
gen autf2 = npw2_autf
replace autf2 = npw2_autf_2 if autf2 == . 
gen autf3 = npw3_autf 
replace autf2 = 99 if autf1 == 99
replace autf3 = 99 if autf1 == 99
replace autf2 = autf1 if autf2 == . 
replace autf3 = autf2 if autf3 == .

gen autm1 = npw1_autm 
gen autm2 = npw2_autm
replace autm2 = npw2_autm_2 if autm2 == . 
gen autm3 = npw3_autm 
replace autm2 = 99 if autm1 == 99
replace autm3 = 99 if autm1 == 99
replace autm2 = autm1 if autm2 == . 
replace autm3 = autm2 if autm3 == .

gen ekf1 = npw1_ekf 
gen ekf2 = npw2_ekf
replace ekf2 = npw2_ekf_2 if ekf2 == .
gen ekf3 = npw3_ekf

gen ekm1 = npw1_ekm 
gen ekm2 = npw2_ekm
replace ekm2 = npw2_ekm_2 if ekm2 == .
gen ekm3 = npw3_ekm

keep id npw1_bildf npw1_bildm npw1_konfessf npw1_kwunschf status1 status2 status3 npw1_releltf npw1_relfamf ///
weight1 weight2 weight3 agef1 agef2 agef3 agem1 agem2 agem3 pdau1 pdau2 pdau3 ///
ehe1 ehe2 ehe3 ausbf1 ausbf2 ausbf3 nepf1 nepf2 nepf3 tzf1 ///
tzf2 tzf3 vzf1 vzf2 vzf3 kgangf1 kgangf2 kgangf3 zentf1 zentf2 ///
zentf3 bedeutf1 bedeutf2 bedeutf3 verbundf1 verbundf2 verbundf3 ///
kzeitf1 kzeitf2 kzeitf3 kintsf1 kintsf2 kintsf3 gkindf1 gkindf2 ///
gkindf3 brauchkf1 brauchkf2 brauchkf3 kliebef1 kliebef2 kliebef3 ///
ksorgef1 ksorgef2 ksorgef3 ksinnf1 ksinnf2 ksinnf3 kbelastf1 ///
kbelastf2 kbelastf3 knäherf1 knäherf2 knäherf3 konsensf1 konsensf2 konsensf3 ///
ausbm1 ausbm2 ausbm3 nepm1 nepm2 nepm3 tzm1 tzm2 tzm3 vzm1 vzm2 vzm3 autf1 autf2 autf3 ///
autm1 autm2 autm3 ekf1 ekf2 ekf3 ekm1 ekm2 ekm3

reshape long status weight agef agem pdau ehe ausbf nepf tzf vzf kgangf zentf bedeutf verbundf ///
kzeitf kintsf gkindf brauchkf kliebef ksorgef ksinnf kbelastf knäherf konsensf ///
ausbm nepm tzm vzm autf autm ekf ekm, i(id) j(wave)

rename npw1_bildf bildf 
rename npw1_bildm bildm 
rename npw1_konfessf konfessf 
rename npw1_kwunschf kwunschf 
rename npw1_releltf relelt_f 
rename npw1_relfamf relfam_f  

save "np_frauen_long.dta", replace


****************************************
*** Männer, Aufbereitung Long-Format ***
****************************************

use "np_ehe_f.dta", replace

keep id ehe1 ehe2 ehe3 

save "np_ehe_f.dta", replace

use "np_status_f.dta", replace

keep id status1 status2 status3 

save "np_status_f.dta", replace

use "np_w1_m.dta", replace

merge 1:1 id using "np_status_f.dta", keep(match master)

drop _merge 

merge 1:1 id using "np_ehe_f.dta", keep(match master)

drop _merge npw1_agef npw1_bildf npw1_ausbf npw1_nepf npw1_tzf npw1_vzf npw1_konfessf ///
npw1_kgangf npw1_zentf npw1_bedeutf npw1_verbundf npw1_releltf npw1_relfamf ///
npw1_kzeitf npw1_kintsf npw1_gkindf npw1_brauchkf npw1_kliebef npw1_ksorgef ///
npw1_ksinnf npw1_kbelastf npw1_knäherf npw1_kwunschf npw1_konsensf npw1_autf npw1_ekf

merge 1:1 id using "np_w1_f.dta", keep(match master)

drop _merge 

merge 1:1 id using "np_w2_Ehe_m.dta", keep(match master)

drop _merge npw2_agef_1 npw2_ausbf npw2_nepf npw2_ewtf npw2_changef npw2_vzf ///
npw2_kgangf npw2_zentf npw2_bedeutf npw2_verbundf npw2_kzeitf npw2_kintsf ///
npw2_gkindf npw2_brauchkf npw2_kliebef npw2_ksorgef npw2_ksinnf npw2_kbelastf ///
npw2_knäherf npw2_konsensf npw2_autf npw2_ekf

merge 1:1 id using "np_w2_Ehe_f.dta", keep(match master)

drop _merge 

merge 1:1 id using "np_w2_NEL_m.dta", keep(match master)

drop _merge npw2_agef_2 npw2_ausbf_2 npw2_nepf_2 npw2_ewtf_2 npw2_changef_2 npw2_vzf_2 ///
npw2_kgangf_2 npw2_zentf_2 npw2_bedeutf_2 npw2_verbundf_2 npw2_kzeitf_2 ///
npw2_kintsf_2 npw2_gkindf_2 npw2_brauchkf_2 npw2_kliebef_2 npw2_ksorgef_2 ///
npw2_ksinnf_2 npw2_kbelastf_2 npw2_knäherf_2 npw2_konsensf_2 npw2_autf_2 npw2_ekf_2

merge 1:1 id using "np_w2_NEL_f.dta", keep(match master)

drop _merge

merge 1:1 id using "np_w3_m.dta", keep(match master)

drop _merge npw3_agef npw3_ausbf npw3_nepf npw3_ewtf npw3_changef npw3_vzf ///
npw3_kzeitf npw3_kintsf npw3_gkindf npw3_brauchkf npw3_kliebef npw3_ksorgef ///
npw3_ksinnf npw3_kbelastf npw3_knäherf npw3_konsensf npw3_autf npw3_ekf

merge 1:1 id using "np_w3_f.dta", keep(match master)

drop _merge

merge 1:1 id using "np_w4.dta", keep(match master)


gen weight1 = 1 
gen weight2 = 1
gen weight3 = 1 
 
gen agef1 = npw1_agef 
gen agef2 = npw2_agef_1
replace agef2 = npw2_agef_2 if agef2 == .
gen agef3 = npw3_agef 

gen agem1 = npw1_agem 
gen agem2 = npw2_agem_1
replace agem2 = npw2_agem_2 if agem2 == .
gen agem3 = npw3_agem 

gen pdau1 = npw1_pdau 
gen pdau2 = pdau1 + 2
gen pdau3 = pdau1 + 4

gen ausbm1 = npw1_ausbm
gen ausbm2 = npw2_ausbm 
replace ausbm2 = npw2_ausbm_2 if ausbm2 == .
gen ausbm3 = npw3_ausbm

gen nepm1 = npw1_nepm
gen nepm2 = npw2_nepm 
replace nepm2 = npw2_nepm_2 if nepm2 == .
gen nepm3 = npw3_nepm

gen tzm1 = npw1_tzm

gen tzm2 = tzm1 if npw2_ewtm == 1 & npw2_changem == 0 
replace tzm2 = 0 if npw2_vzm == 1
replace tzm2 = 1 if npw2_vzm == 0
replace tzm2 = 0 if npw2_ewtm == 0

gen tzm2_2 = tzm1 if npw2_ewtm_2 == 1 & npw2_changem_2 == 0 
replace tzm2_2 = 0 if npw2_vzm_2 == 1
replace tzm2_2 = 1 if npw2_vzm_2 == 0
replace tzm2_2 = 0 if npw2_ewtm_2 == 0

replace tzm2 = tzm2_2 if tzm2 == .

gen tzm3 = tzm2 if npw3_ewtm == 1 & npw3_changem == 0 
replace tzm3 = 0 if npw3_vzm == 1
replace tzm3 = 1 if npw3_vzm == 0
replace tzm3 = 0 if npw3_ewtm == 0

gen vzm1 = npw1_vzm

gen vzm2 = vzm1 if npw2_ewtm == 1 & npw2_changem == 0 
replace vzm2 = 0 if npw2_vzm == 0
replace vzm2 = 1 if npw2_vzm == 1
replace vzm2 = 0 if npw2_ewtm == 0

gen vzm2_2 = vzm1 if npw2_ewtm_2 == 1 & npw2_changem_2 == 0 
replace vzm2_2 = 0 if npw2_vzm_2 == 0
replace vzm2_2 = 1 if npw2_vzm_2 == 1
replace vzm2_2 = 0 if npw2_ewtm_2 == 0

replace vzm2 = vzm2_2 if vzm2 == .

gen vzm3 = vzm2 if npw3_ewtm == 1 & npw3_changem == 0 
replace vzm3 = 0 if npw3_vzm == 0
replace vzm3 = 1 if npw3_vzm == 1
replace vzm3 = 0 if npw3_ewtm == 0

gen ausbf1 = npw1_ausbf
gen ausbf2 = npw2_ausbf 
replace ausbf2 = npw2_ausbf_2 if ausbf2 == . 
gen ausbf3 = npw3_ausbf

gen nepf1 = npw1_nepf
gen nepf2 = npw2_nepf 
replace nepf2 = npw2_nepf_2 if nepf2 == .
gen nepf3 = npw3_nepf

gen tzf1 = npw1_tzf

gen tzf2 = tzf1 if npw2_ewtf == 1 & npw2_changef == 0 
replace tzf2 = 0 if npw2_vzf == 1
replace tzf2 = 1 if npw2_vzf == 0
replace tzf2 = 0 if npw2_ewtf == 0

gen tzf2_2 = tzf1 if npw2_ewtf_2 == 1 & npw2_changef_2 == 0 
replace tzf2_2 = 0 if npw2_vzf_2 == 1
replace tzf2_2 = 1 if npw2_vzf_2 == 0
replace tzf2_2 = 0 if npw2_ewtf_2 == 0

replace tzf2 = tzf2_2 if tzf2 == .

gen tzf3 = tzf2 if npw3_ewtf == 1 & npw3_changef == 0 
replace tzf3 = 0 if npw3_vzf == 1
replace tzf3 = 1 if npw3_vzf == 0
replace tzf3 = 0 if npw3_ewtf == 0

gen vzf1 = npw1_vzf

gen vzf2 = vzf1 if npw2_ewtf == 1 & npw2_changef == 0 
replace vzf2 = 0 if npw2_vzf == 0
replace vzf2 = 1 if npw2_vzf == 1
replace vzf2 = 0 if npw2_ewtf == 0

gen vzf2_2 = vzf1 if npw2_ewtf_2 == 1 & npw2_changef_2 == 0 
replace vzf2_2 = 0 if npw2_vzf_2 == 0
replace vzf2_2 = 1 if npw2_vzf_2 == 1
replace vzf2_2 = 0 if npw2_ewtf_2 == 0

replace vzf2 = vzf2_2 if vzf2 == .

gen vzf3 = vzf2 if npw3_ewtf == 1 & npw3_changef == 0 
replace vzf3 = 0 if npw3_vzf == 0
replace vzf3 = 1 if npw3_vzf == 1
replace vzf3 = 0 if npw3_ewtf == 0

gen kgangm1 = npw1_kgangm 
gen kgangm2 = npw2_kgangm
replace kgangm2 = npw2_kgangm_2 if kgangm2 ==. 
gen kgangm3 = kgangm2 

gen zentm1 = npw1_zentm 
gen zentm2 = npw2_zentm 
replace zentm2 = npw2_zentm_2 if zentm2 ==. 
gen zentm3 = zentm2

gen bedeutm1 = npw1_bedeutm 
gen bedeutm2 = npw2_bedeutm
replace bedeutm2 = npw2_bedeutm_2 if bedeutm2 ==.  
gen bedeutm3 = bedeutm2 

gen verbundm1 = npw1_verbundm 
gen verbundm2 = npw2_verbundm
replace verbundm2 = npw2_verbundm_2 if verbundm2 ==.  
gen verbundm3 = verbundm2

gen kzeitm1 = npw1_kzeitm 
gen kzeitm2 = npw2_kzeitm
replace kzeitm2 = npw2_kzeitm_2 if kzeitm2 == .
gen kzeitm3 = npw3_kzeitm 

gen kintsm1 = npw1_kintsm
gen kintsm2 = npw2_kintsm
replace kintsm2 = npw2_kintsm_2 if kintsm2 == .
gen kintsm3 = npw3_kintsm

gen gkindm1 = npw1_gkindm
gen gkindm2 = npw2_gkindm
replace gkindm2 = npw2_gkindm_2 if gkindm2 == .
gen gkindm3 = npw2_gkindm

gen brauchkm1 = npw1_brauchkm
gen brauchkm2 = npw2_brauchkm
replace brauchkm2 = npw2_brauchkm_2 if brauchkm2 == .
gen brauchkm3 = npw3_brauchkm

gen kliebem1 = npw1_kliebem
gen kliebem2 = npw2_kliebem
replace kliebem2 = npw2_kliebem_2 if kliebem2 == .
gen kliebem3 = npw3_kliebem

gen ksorgem1 = npw1_ksorgem
gen ksorgem2 = npw2_ksorgem
replace ksorgem2 = npw2_ksorgem_2 if ksorgem2 == .
gen ksorgem3 = npw3_ksorgem

gen ksinnm1 = npw1_ksinnm
gen ksinnm2 = npw2_ksinnm
replace ksinnm2 = npw2_ksinnm_2 if ksinnm2 == .
gen ksinnm3 = npw3_ksinnm

gen kbelastm1 = npw1_kbelastm
gen kbelastm2 = npw2_kbelastm
replace kbelastm2 = npw2_kbelastm_2 if kbelastm2 == .
gen kbelastm3 = npw3_kbelastm

gen knäherm1 = npw1_knäherm
gen knäherm2 = npw2_knäherm
replace knäherm2 = npw2_knäherm_2 if knäherm2 == .
gen knäherm3 = npw3_knäherm

gen konsensm1 = npw1_konsensm
gen konsensm2 = npw2_konsensm
replace konsensm2 = npw2_konsensm_2 if konsensm2 == .
gen konsensm3 = npw3_konsensm

gen autf1 = npw1_autf 
gen autf2 = npw2_autf
replace autf2 = npw2_autf_2 if autf2 == . 
gen autf3 = npw3_autf 
replace autf2 = 99 if autf1 == 99
replace autf3 = 99 if autf1 == 99
replace autf2 = autf1 if autf2 == . 
replace autf3 = autf2 if autf3 == .

gen autm1 = npw1_autm 
gen autm2 = npw2_autm
replace autm2 = npw2_autm_2 if autm2 == . 
gen autm3 = npw3_autm 
replace autm2 = 99 if autm1 == 99
replace autm3 = 99 if autm1 == 99
replace autm2 = autm1 if autm2 == . 
replace autm3 = autm2 if autm3 == .

gen ekf1 = npw1_ekf 
gen ekf2 = npw2_ekf
replace ekf2 = npw2_ekf_2 if ekf2 == .
gen ekf3 = npw3_ekf

gen ekm1 = npw1_ekm 
gen ekm2 = npw2_ekm
replace ekm2 = npw2_ekm_2 if ekm2 == .
gen ekm3 = npw3_ekm

keep id npw1_bildm npw1_bildf npw1_konfessm npw1_kwunschm status1 status2 status3 npw1_releltm npw1_relfamm ///
weight1 weight2 weight3 agem1 agem2 agem3 agef1 agef2 agef3 pdau1 pdau2 pdau3 ///
ehe1 ehe2 ehe3 ausbm1 ausbm2 ausbm3 nepm1 nepm2 nepm3 tzm1 ///
tzm2 tzm3 vzm1 vzm2 vzm3 kgangm1 kgangm2 kgangm3 zentm1 zentm2 ///
zentm3 bedeutm1 bedeutm2 bedeutm3 verbundm1 verbundm2 verbundm3 ///
kzeitm1 kzeitm2 kzeitm3 kintsm1 kintsm2 kintsm3 gkindm1 gkindm2 ///
gkindm3 brauchkm1 brauchkm2 brauchkm3 kliebem1 kliebem2 kliebem3 ///
ksorgem1 ksorgem2 ksorgem3 ksinnm1 ksinnm2 ksinnm3 kbelastm1 ///
kbelastm2 kbelastm3 knäherm1 knäherm2 knäherm3 konsensm1 konsensm2 konsensm3  ///
ausbf1 ausbf2 ausbf3 nepf1 nepf2 nepf3 tzf1 tzf2 tzf3 vzf1 vzf2 vzf3 autf1 autf2 autf3 ///
autm1 autm2 autm3 ekf1 ekf2 ekf3 ekm1 ekm2 ekm3

reshape long status weight agem agef pdau ehe ausbm nepm tzm vzm kgangm zentm bedeutm verbundm ///
kzeitm kintsm gkindm brauchkm kliebem ksorgem ksinnm kbelastm knäherm konsensm ///
ausbf nepf tzf vzf autf autm ekf ekm, i(id) j(wave)

rename npw1_bildm bildm 
rename npw1_bildf bildf 
rename npw1_konfessm konfessm 
rename npw1_kwunschm kwunschm  
rename npw1_releltm relelt_m 
rename npw1_relfamm relfam_m  

save "np_männer_long.dta", replace


**************
*** append ***
**************

use "ep_frauen_long.dta", clear 

append using "np_frauen_long.dta"

save "pool_frauen_long.dta", replace


use "ep_männer_long.dta", clear 

append using "np_männer_long.dta"

save "pool_männer_long.dta", replace


****************************************************
*** Faktorielle Struktur, Skalenbildung - Frauen ***
****************************************************

use "pool_frauen_long.dta", clear

keep if status < . & agef < .


********************
*** Religiosität ***
********************

* Mit Sozialisation

factor kgangf zentf bedeutf verbundf relelt_f relfam_f, mineigen(1) pcf 
rotate, normalize 
* 2 Faktoren mit Eigenwerten 2.77 und 1.81, 76,42 % Aufklärung 

* Ohne Sozialisation

factor kgangf zentf bedeutf verbundf, mineigen(1) pcf 
rotate, normalize
* 1 Faktor mit Eigenwert 2.83 und 70,74 % Aufklärung 

* Standardisierung und Skalenbildung 

egen zkgangf = std(kgangf) 
egen zzentf = std(zentf) 
egen zbedeutf = std(bedeutf) 
egen zverbundf = std(verbundf)

egen zreleltf = std(relelt_f)
egen zrelfamf = std(relfam_f)

alpha zkgangf zzentf zbedeutf zverbundf, item
* Alpha = .86

egen miss = rowmiss(zkgangf zzentf zbedeutf zverbundf) 

egen rel_f = rowmean(zkgangf zzentf zbedeutf zverbundf) if miss < 2


********************************
*** Kindernutzen und -kosten ***
********************************

factor kzeitf kintsf gkindf brauchkf kliebef ksorgef ksinnf kbelastf knäherf, mineigen(1) pcf 
rotate, normalize 
* 2 Faktoren mit Eigenwerten 2.94 und 1.86, Nutzen und Kosten, 53,4% Aufklärung; Doppelladung für "Es sprechen mehr
* Gründe gegen Kinder als dafür" - Item wird ausgeschlossen

factor kzeitf kintsf gkindf brauchkf kliebef ksorgef ksinnf kbelastf knäherf, mineigen(1) pcf 
rotate, oblimin 
* Doppelladung auch bei Oblimin-Rotation 

factor kzeitf kintsf brauchkf kliebef ksorgef ksinnf kbelastf knäherf, mineigen(1) pcf 
rotate, normalize 
* Mit 8 Items: 2.71 und 1.77, 56% Aufklärung

alpha kintsf brauchkf kliebef ksinnf knäherf, item
* Alpha = .78

alpha ksorgef kbelastf kzeitf, item
* Alpha = .62

egen miss2 = rowmiss(kintsf brauchkf kliebef ksinnf knäherf) 
egen miss3 = rowmiss(ksorgef kbelastf kzeitf) 

egen nutzen_f = rowmean(kintsf brauchkf kliebef ksinnf knäherf) if miss2 < 2
egen kosten_f = rowmean (ksorgef kbelastf kzeitf) if miss3 < 2

corr nutzen_f kosten_f
* -.26

save "pool_frauen_long.dta", replace


****************************************************
*** Faktorielle Struktur, Skalenbildung - Männer ***
****************************************************


use "pool_männer_long.dta", clear

keep if status < . & agem < .


********************
*** Religiosität ***
********************

* Mit Sozialisation

factor kgangm zentm bedeutm verbundm relelt_m relfam_m, mineigen(1) pcf 
rotate, normalize 
* 2 Faktoren mit Eigenwerten 2.74 und 1.81, 75,9 % Aufklärung 

* Ohne Sozialisation

factor kgangm zentm bedeutm verbundm, mineigen(1) pcf 
rotate, normalize
* 1 Faktor mit Eigenwert 2.85 und 71,3 % Aufklärung 

* Standardisierung und Skalenbildung 

egen zkgangm = std(kgangm) 
egen zzentm = std(zentm) 
egen zbedeutm = std(bedeutm) 
egen zverbundm = std(verbundm)

egen zreleltm = std(relelt_m)
egen zrelfamm = std(relfam_m)

alpha zkgangm zzentm zbedeutm zverbundm, item
* Alpha = .86

egen miss = rowmiss(zkgangm zzentm zbedeutm zverbundm) 

egen rel_m = rowmean(zkgangm zzentm zbedeutm zverbundm) if miss < 2


********************************
*** Kindernutzen und -kosten ***
********************************

factor kzeitm kintsm gkindm brauchkm kliebem ksorgem ksinnm kbelastm knäherm, mineigen(1) pcf 
rotate, normalize 
* 2 Faktoren mit Eigenwerten 2.68 und 1.99, Nutzen und Kosten, 51,9% Aufklärung; Doppelladung für "Es sprechen mehr
* Gründe gegen Kinder als dafür" - Item wird ausgeschlossen

factor kzeitm kintsm gkindm brauchkm kliebem ksorgem ksinnm kbelastm knäherm, mineigen(1) pcf 
rotate, oblimin 
* Doppelladung auch bei Oblimin-Rotation 

factor kzeitm kintsm brauchkm kliebem ksorgem ksinnm kbelastm knäherm, mineigen(1) pcf 
rotate, normalize 
* Mit 8 Items: 2.60 und 1.76, 54,5% Aufklärung

alpha kintsm brauchkm kliebem ksinnm knäherm, item
* Alpha = .76

alpha ksorgem kbelastm kzeitm, item
* Alpha = .60

egen miss2 = rowmiss(kintsm brauchkm kliebem ksinnm knäherm) 
egen miss3 = rowmiss(ksorgem kbelastm kzeitm) 

egen nutzen_m = rowmean(kintsm brauchkm kliebem ksinnm knäherm) if miss2 < 2
egen kosten_m = rowmean (ksorgem kbelastm kzeitm) if miss3 < 2

corr nutzen_m kosten_m
* -.26

save "pool_männer_long.dta", replace


*********************************************
*** Zeitdiskrete EDA: Interaktionseffekte ***
*********************************************

*****************
*** 1. Frauen ***
*****************

* Prozesszeit: Aufbereitung und Test optimaler Fit

use "pool_frauen_long.dta", clear

sum agef

gen agez = agef - 27 
gen ageq = agez*agez 

gen lnage = ln(agef)

logit status agez ageq wave [iweight = weight]

estat ic

logit status lnage agef wave [iweight = weight]

estat ic 

* Datenaufbereitung 

recode konfessf (1=1) (2=2) (3/4=3) (5=4)
tab konfess, gen(k)
rename k1 kathol 
rename k2 evang 
rename k3 ksonst 
rename k4 klos

egen z_rel_f = std(rel_f)

recode ekf (99999=.)
impute ekf agef bildf ehe vzf tzf ausbf autf, gen(ekf2)

sum nutzen_f kosten_f ekf bildf 

gen c_nutzen_f = nutzen_f - 3.85 
gen c_kosten_f = kosten_f - 2.93
gen c_ekf = ekf2 - 1782
gen c_bildf = bildf - 14.47

gen nutzxrel = c_nutzen_f * z_rel_f 
gen kostxrel = c_kosten_f * z_rel_f 
gen nutzxkat = c_nutzen_f * kathol
gen kostxkat = c_kosten_f * kathol  
gen nutzxeva = c_nutzen_f * evang
gen kostxeva = c_kosten_f * evang 
gen relxvzf = vzf * z_rel_f 
gen relxtzf = tzf * z_rel_f 
gen relxausbf = ausbf * z_rel_f
gen kathxvzf = kathol * vzf
gen evaxvzf = evang * vzf
gen kathxtzf = kathol * tzf 
gen evaxtzf = evang * tzf 
gen kathxausbf = kathol * ausbf 
gen evaxausbf = evang * ausbf 
gen relxekf = c_ekf * z_rel_f
gen relxbild = c_bildf * z_rel_f 
gen kathxbildf = kathol * bildf  
gen evaxbildf = evang * bildf
gen kathxekf = kathol * ekf2 
gen evaxekf = evang * ekf2 

impute pdau agef wave agem ehe, gen(pdau2)

egen miss4 = rowmiss(rel_f c_nutzen_f c_kosten_f konfessf bildf ehe agef vzf tzf ausbf)

save "pool_frauen_long.dta", replace


**************************
*** Regressionsmodelle ***
**************************

* ggf. ssc install inteff

* Tab. 3, Modell 6
logit status agez ageq pdau2 ehe bildf kathol evang c_nutzen_f nutzxkat nutzxeva ///
[iweight = weight] if ksonst == 0 & miss4 == 0 

margins, dydx(agez ageq pdau2 ehe bildf kathol evang c_nutzen_f) post

logit status c_nutzen_f kathol nutzxkat agez ageq pdau2 ehe bildf evang nutzxeva ///
[iweight = weight] if ksonst == 0 & miss4 == 0 

inteff status c_nutzen_f kathol nutzxkat agez ageq pdau2 ehe bildf evang nutzxeva ///
if ksonst == 0 & miss4 == 0 

logit status c_nutzen_f evang nutzxeva agez ageq pdau2 ehe bildf kathol nutzxkat ///
[iweight = weight] if ksonst == 0 & miss4 == 0 

inteff status c_nutzen_f evang nutzxeva agez ageq pdau2 ehe bildf kathol nutzxkat ///
if ksonst == 0 & miss4 == 0

* Tab. 3, Modell 7
logit status agez ageq pdau2 ehe bildf kathol evang c_kosten_f kostxkat kostxeva ///
[iweight = weight] if ksonst == 0 & miss4 == 0 

margins, dydx(agez ageq pdau2 ehe bildf kathol evang c_kosten_f) post

logit status c_kosten_f kathol kostxkat agez ageq pdau2 bildf ehe evang kostxeva ///
[iweight = weight] if ksonst == 0 & miss4 == 0 

inteff status c_kosten_f kathol kostxkat agez ageq pdau2 bildf ehe evang kostxeva ///
if ksonst == 0 & miss4 == 0 

logit status c_kosten_f evang kostxeva agez ageq pdau2 ehe bildf kathol kostxkat ///
[iweight = weight] if ksonst == 0 & miss4 == 0 

inteff status c_kosten_f evang kostxeva agez ageq pdau2 ehe bildf kathol kostxkat ///
if ksonst == 0 & miss4 == 0 

* Tab. 3, Modell 8
logit status agez ageq pdau2 ehe bildf z_rel_f c_nutzen_f nutzxrel ///
[iweight = weight] if ksonst == 0 & miss4 == 0 

margins, dydx(agez ageq pdau2 ehe bildf z_rel_f c_nutzen_f) post

logit status z_rel_f c_nutzen_f nutzxrel agez ageq pdau2 ehe bildf ///
[iweight = weight] if ksonst == 0 & miss4 == 0 

inteff status z_rel_f c_nutzen_f nutzxrel agez ageq pdau2 ehe bildf ///
if ksonst == 0 & miss4 == 0 

* Tab. 3, Modell 9
logit status agez ageq pdau2 ehe bildf z_rel_f c_kosten_f kostxrel ///
[iweight = weight] if ksonst == 0 & miss4 == 0

margins, dydx(agez ageq pdau2 ehe bildf z_rel_f c_kosten_f) post

logit status z_rel_f c_kosten_f kostxrel agez ageq pdau2 ehe bildf  ///
[iweight = weight] if ksonst == 0 & miss4 == 0

inteff status z_rel_f c_kosten_f kostxrel agez ageq pdau2 ehe bildf  ///
if ksonst == 0 & miss4 == 0

* Tab. 3, Modell 10
logit status agez ageq pdau2 ehe bildf z_rel_f relxvzf relxtzf relxausbf vzf tzf ausbf ///
[iweight = weight] if ksonst == 0 & miss4 == 0

margins, dydx(agez ageq pdau2 ehe bildf z_rel_f vzf tzf ausbf) post

logit status z_rel_f vzf relxvzf agez ageq pdau2 ehe bildf relxtzf relxausbf tzf ausbf ///
[iweight = weight] if ksonst == 0 & miss4 == 0

inteff status z_rel_f vzf relxvzf agez ageq pdau2 ehe bildf relxtzf relxausbf tzf ausbf ///
if ksonst == 0 & miss4 == 0

logit status z_rel_f tzf relxtzf agez ageq pdau2 ehe bildf relxvzf relxausbf vzf ausbf ///
[iweight = weight] if ksonst == 0 & miss4 == 0

inteff status z_rel_f tzf relxtzf agez ageq pdau2 ehe bildf relxvzf relxausbf vzf ausbf ///
if ksonst == 0 & miss4 == 0

logit status z_rel_f ausbf relxausbf agez ageq pdau2 ehe bildf relxvzf relxtzf vzf tzf ///
[iweight = weight] if ksonst == 0 & miss4 == 0

inteff status z_rel_f ausbf relxausbf agez ageq pdau2 ehe bildf relxvzf relxtzf vzf tzf ///
if ksonst == 0 & miss4 == 0

* Tabellarisch nicht berichtet

* Direkte Effekte Religositäts-Indikatoren
logit status agez ageq pdau2 ehe kathol evang ///
[iweight = weight] if ksonst == 0 & miss4 == 0 

logit status agez ageq pdau2 ehe z_rel_f ///
[iweight = weight] if ksonst == 0 & miss4 == 0 

logit status agez ageq pdau2 z_rel_f ///
[iweight = weight] if ksonst == 0 & miss4 == 0 

* Konfession * Erwerbsstatus 
logit status agez ageq pdau2 ehe bildf kathol evang vzf tzf ausbf kathxvzf evaxvzf kathxtzf evaxtzf kathxausbf evaxausbf ///
[iweight = weight] if ksonst == 0 & miss4 == 0 

* Religiosität * Bildung 
logit status agez ageq pdau2 ehe c_bildf z_rel_f relxbild ///
[iweight = weight] if ksonst == 0 & miss4 == 0 

* Religiosität * Einkommen
logit status agez ageq pdau2 ehe bildf c_ekf z_rel_f relxekf ///
[iweight = weight] if ksonst == 0 & miss4 == 0 

* Konfession * Einkommen
logit status agez ageq pdau2 ehe bildf c_ekf kathol evang kathxekf evaxekf ///
[iweight = weight] if ksonst == 0 & miss4 == 0 

* Konfession * Bildung 
logit status agez ageq pdau2 ehe bildf kathol evang kathxbildf evaxbildf ///
[iweight = weight] if ksonst == 0 & miss4 == 0 


*************************
*** Interaktionsplots ***
*************************

egen z_kosten_f = std(kosten_f)

*FRAUEN: Kosten*Religiosität
logit status c.z_rel_f##c.z_kosten_f ehe c.agef##c.agef pdau2 bildf ///
[iweight = weight] if ksonst == 0 & miss4 == 0

margins, at(agef=(18(2)40) z_kosten_f=(-1 1) z_rel_f=(-1 1))

*nach Religiosität getrennte Diagramme (Abbildung 2a)
marginsplot, xtitle(Alter (Frau)) byopt(title((a) nach Religiosität)) ///
plot1opts(lpattern(dash)) bydimension(z_rel_f, label("geringe Religiosität (M - 1 SD)" ///
"hohe Religiosität  (M + 1 SD)")) ///
plot(, label("geringe Kosten (M - 1 SD)""hohe Kosten (M + 1 SD)")) ///
ytitle("P(Erstgeburt|Altersjahr j)"" ") scheme(s1mono) //


*FRAUEN: Kosten*Konfession (Abbildung 2b)
tab konfessf
recode konfessf (4=0)
label define konf 0 "konfessionslos" 1 "katholisch" 2 "evangelisch"
label values konfessf konf

logit status i.konfessf##c.z_kosten_f ehe c.agef##c.agef pdau2 bildf ///
[iweight = weight] if ksonst == 0 & miss4 == 0 & konfessf<2

margins konfessf, at(agef=(18(2)40) z_kosten_f=(-1 1))

marginsplot, xtitle(Alter (Frau)) ytitle("P(Erstgeburt|Altersjahr j)"" ") scheme(s1mono) ///
byopt(title("(b) nach Konfession")) ///
plot1opts(lpattern(dash)) bydimension(konfessf) plot(, label("geringe Kosten (M - 1 SD)""hohe Kosten (M + 1 SD)")) //


*****************
*** 2. Männer ***
*****************

* Prozesszeit: Aufbereitung und Test optimaler Fit

use "pool_männer_long.dta", clear

sum agem

gen agez = agem - 29.3 
gen ageq = agez*agez 

* Datenaufbereitung 

recode konfessm (1=1) (2=2) (3/4=3) (5=4)
tab konfess, gen(k)
rename k1 kathol 
rename k2 evang 
rename k3 ksonst 
rename k4 klos

egen z_rel_m = std(rel_m)

recode ekm (99999=.)
impute ekm bildm agem ehe vzm tzm ausbm autm, gen(ekm2)

sum nutzen_m kosten_m ekm bildm 

gen c_nutzen_m = nutzen_m - 3.85 
gen c_kosten_m = kosten_m - 2.86
gen c_ekm = ekm2 - 2388
gen c_bildm = bildm - 14.56

gen nutzxrel = c_nutzen_m * z_rel_m 
gen kostxrel = c_kosten_m * z_rel_m 
gen nutzxkat = c_nutzen_m * kathol
gen kostxkat = c_kosten_m * kathol  
gen nutzxeva = c_nutzen_m * evang
gen kostxeva = c_kosten_m * evang 
gen relxvzm = vzm * z_rel_m 
gen relxtzm = tzm * z_rel_m 
gen relxausbm = ausbm * z_rel_m
gen kathxvzm = kathol * vzm
gen evaxvzm = evang * vzm
gen kathxtzm = kathol * tzm 
gen evaxtzm = evang * tzm 
gen kathxausbm = kathol * ausbm 
gen evaxausbm = evang * ausbm 
gen relxekm = c_ekm * z_rel_m
gen relxbild = c_bildm * z_rel_m 
gen kathxbildm = kathol * bildm  
gen evaxbildm = evang * bildm
gen kathxekm = kathol * ekm2 
gen evaxekm = evang * ekm2 

impute pdau agef wave agem ehe, gen(pdau2)

egen miss4 = rowmiss(rel_m c_nutzen_m c_kosten_m konfessm bildm ehe agef vzm tzm ausbm)

save "pool_männer_long.dta", replace


**************************
*** Regressionsmodelle ***
**************************

* ggf. ssc install inteff

* Tab. 2, Modell 1
logit status agez ageq pdau2 ehe bildm kathol evang c_nutzen_m nutzxkat nutzxeva ///
[iweight = weight] if ksonst == 0 & miss4 == 0 

margins, dydx(agez ageq pdau2 ehe bildm kathol evang c_nutzen_m) post

logit status c_nutzen_m kathol nutzxkat agez ageq pdau2 ehe bildm evang nutzxeva ///
[iweight = weight] if ksonst == 0 & miss4 == 0 

inteff status c_nutzen_m kathol nutzxkat agez ageq pdau2 ehe bildm evang nutzxeva ///
if ksonst == 0 & miss4 == 0 

logit status c_nutzen_m evang nutzxeva agez ageq pdau2 ehe bildm kathol nutzxkat ///
[iweight = weight] if ksonst == 0 & miss4 == 0 

inteff status c_nutzen_m evang nutzxeva agez ageq pdau2 ehe bildm kathol nutzxkat ///
if ksonst == 0 & miss4 == 0

* Tab. 2, Modell 2
logit status agez ageq pdau2 ehe bildm kathol evang c_kosten_m kostxkat kostxeva ///
[iweight = weight] if ksonst == 0 & miss4 == 0 

margins, dydx(agez ageq pdau2 ehe bildm kathol evang c_kosten_m) post

logit status c_kosten_m kathol kostxkat agez ageq pdau2 bildm ehe evang kostxeva ///
[iweight = weight] if ksonst == 0 & miss4 == 0 

inteff status c_kosten_m kathol kostxkat agez ageq pdau2 bildm ehe evang kostxeva ///
if ksonst == 0 & miss4 == 0 

logit status c_kosten_m evang kostxeva agez ageq pdau2 ehe bildm kathol kostxkat ///
[iweight = weight] if ksonst == 0 & miss4 == 0 

inteff status c_kosten_m evang kostxeva agez ageq pdau2 ehe bildm kathol kostxkat ///
if ksonst == 0 & miss4 == 0 

* Tab. 2, Modell 3
logit status agez ageq pdau2 ehe bildm z_rel_m c_nutzen_m nutzxrel ///
[iweight = weight] if ksonst == 0 & miss4 == 0 

margins, dydx(agez ageq pdau2 ehe bildm z_rel_m c_nutzen_m) post

logit status z_rel_m c_nutzen_m nutzxrel agez ageq pdau2 ehe bildm ///
[iweight = weight] if ksonst == 0 & miss4 == 0 

inteff status z_rel_m c_nutzen_m nutzxrel agez ageq pdau2 ehe bildm ///
if ksonst == 0 & miss4 == 0 

* Tab. 2, Modell 4
logit status agez ageq pdau2 ehe bildm z_rel_m c_kosten_m kostxrel ///
[iweight = weight] if ksonst == 0 & miss4 == 0

margins, dydx(agez ageq pdau2 ehe bildm z_rel_m c_kosten_m) post

logit status z_rel_m c_kosten_m kostxrel agez ageq pdau2 ehe bildm  ///
[iweight = weight] if ksonst == 0 & miss4 == 0

inteff status z_rel_m c_kosten_m kostxrel agez ageq pdau2 ehe bildm  ///
if ksonst == 0 & miss4 == 0

* Tab. 2, Modell 5
logit status agez ageq pdau2 ehe bildm z_rel_m relxvzm relxtzm relxausbm vzm tzm ausbm ///
[iweight = weight] if ksonst == 0 & miss4 == 0

margins, dydx(agez ageq pdau2 ehe bildm z_rel_m vzm tzm ausbm) post

logit status z_rel_m vzm relxvzm agez ageq pdau2 ehe bildm relxtzm relxausbm tzm ausbm ///
[iweight = weight] if ksonst == 0 & miss4 == 0

inteff status z_rel_m vzm relxvzm agez ageq pdau2 ehe bildm relxtzm relxausbm tzm ausbm ///
if ksonst == 0 & miss4 == 0

logit status z_rel_m tzm relxtzm agez ageq pdau2 ehe bildm relxvzm relxausbm vzm ausbm ///
[iweight = weight] if ksonst == 0 & miss4 == 0

inteff status z_rel_m tzm relxtzm agez ageq pdau2 ehe bildm relxvzm relxausbm vzm ausbm ///
if ksonst == 0 & miss4 == 0

logit status z_rel_m ausbm relxausbm agez ageq pdau2 ehe bildm relxvzm relxtzm vzm tzm ///
[iweight = weight] if ksonst == 0 & miss4 == 0

inteff status z_rel_m ausbm relxausbm agez ageq pdau2 ehe bildm relxvzm relxtzm vzm tzm ///
if ksonst == 0 & miss4 == 0

* Tabellarisch nicht berichtet

* Direkte Effekte Religositäts-Indikatoren
logit status agez ageq pdau2 ehe kathol evang ///
[iweight = weight] if ksonst == 0 & miss4 == 0 

logit status agez ageq pdau2 kathol evang ///
[iweight = weight] if ksonst == 0 & miss4 == 0 

logit status agez ageq pdau2 ehe z_rel_m ///
[iweight = weight] if ksonst == 0 & miss4 == 0 

logit status agez ageq pdau2 z_rel_m ///
[iweight = weight] if ksonst == 0 & miss4 == 0


*****************************************************
*** Zeitdiskrete EDA: Mediationsmodelle mit Mplus ***
*****************************************************

use "pool_frauen_long.dta", clear

drop if miss4 > 0 | ksonst == 1
* 40 (Männer) bzw. 41 fälle ksonst

keep id status pdau2 wave agez ageq ehe kathol evang klos z_rel_f nutzen_f kosten_f bildf ///
weight

order id id status pdau2 wave agez ageq ehe kathol evang klos z_rel_f nutzen_f kosten_f bildf ///
weight

recode _all (. = -99) 

outfile _all using "frauen_mplus.dat", nolabel noquote replace 

use "pool_männer_long.dta", clear

drop if miss4 > 0 | ksonst == 1

keep id status pdau2 wave agez ageq ehe kathol evang klos z_rel_m nutzen_m kosten_m bildm ///
weight

order id status pdau2 wave agez ageq ehe kathol evang klos z_rel_m nutzen_m kosten_m bildm ///
weight

recode _all (. = -99) 

outfile _all using "männer_mplus.dat", nolabel noquote replace 


******************************************************
*** MPLUS Syntax Abbildungen 1 und 2; Tabelle A1 ***
******************************************************
/* 

 Title:    Mediationsmodell "Religiosität, Kinderkosten und 
           Kindernutzen", Männer, Abb. 1
 Data:     File is männer_mplus.dat; 
           LISTWISE = ON;  
 Variable: NAMES ARE id status pdau2 wave agez ageq ehe kathol 
           evang klos rel nutzen kosten bild weight;
           USEVARIABLES ARE status agez ageq pdau2 ehe rel 
           nutzen kosten bild;
           CATEGORICAL = status; 
           CLUSTER is id;
           WEIGHT is weight;
           MISSING IS ALL (-99); 
 Analysis: TYPE = COMPLEX; 
           ESTIMATOR = WLSMV; 
 Model:    status ON ehe agez ageq pdau2 nutzen kosten bild; 
           nutzen ON ehe agez ageq pdau2 rel bild; 
           kosten ON ehe agez ageq pdau2 rel bild; 
           nutzen WITH kosten;
           Model indirect: status IND rel;       
 OUTPUT:   STANDARDIZED;

 
 Title:    Mediationsmodell "Religiosität, Kinderkosten und
           Kindernutzen", Frauen, Abb. 1
 Data:     File is frauen_mplus.dat;
           LISTWISE = ON;
 Variable: NAMES ARE id status pdau2 wave agez ageq ehe kathol
           evang klos rel nutzen kosten bild weight;
           USEVARIABLES ARE status agez ageq pdau2 ehe rel
           nutzen kosten bild;
           CATEGORICAL = status;
           CLUSTER is id;
           WEIGHT is weight;
           MISSING IS ALL (-99);
 Analysis: TYPE = COMPLEX;
           ESTIMATOR = WLSMV;
 Model:    status ON ehe agez ageq pdau2 nutzen kosten bild;
           nutzen ON ehe agez ageq pdau2 rel bild;
           kosten ON ehe agez ageq pdau2 rel bild;
           nutzen WITH kosten;
           Model indirect: status IND rel;
 OUTPUT:   STANDARDIZED;

 
 Title:    Mediationsmodell "Konfession, Kinderkosten und 
           Kindernutzen", Männer, Abb. 2
 Data:     File is männer_mplus.dat; 
           LISTWISE = ON;  
 Variable: NAMES ARE id status pdau2 wave agez ageq ehe kathol 
           evang klos rel nutzen kosten bild weight;
           USEVARIABLES ARE status agez ageq pdau2 ehe kathol evang 
           nutzen kosten bild;
           CATEGORICAL = status; 
           CLUSTER is id;
           WEIGHT is weight;
           MISSING IS ALL (-99); 
 Analysis: TYPE = COMPLEX; 
           ESTIMATOR = WLSMV; 
 Model:    status ON ehe agez ageq pdau2 nutzen kosten bild; 
           nutzen ON ehe agez ageq pdau2 kathol evang bild; 
           kosten ON ehe agez ageq pdau2 kathol evang bild; 
           nutzen WITH kosten;
           Model indirect: status IND kathol;  
                           status IND evang;     
 OUTPUT:   STANDARDIZED;
 
 
 Title:    Mediationsmodell "Konfession, Kinderkosten und
           Kindernutzen", Frauen, Abb. 2
 Data:     File is frauen_mplus.dat;
           LISTWISE = ON;
 Variable: NAMES ARE id status pdau2 wave agez ageq ehe kathol
           evang klos rel nutzen kosten bild weight;
           USEVARIABLES ARE status agez ageq pdau2 ehe kathol evang
           nutzen kosten bild;
           CATEGORICAL = status;
           CLUSTER is id;
           WEIGHT is weight;
           MISSING IS ALL (-99);
 Analysis: TYPE = COMPLEX;
           ESTIMATOR = WLSMV;
 Model:    status ON ehe agez ageq pdau2 nutzen kosten bild kathol evang;
           nutzen ON ehe agez ageq pdau2 kathol evang bild;
           kosten ON ehe agez ageq pdau2 kathol evang bild;
           nutzen WITH kosten;
           Model indirect: status IND kathol;
                          status IND evang;
OUTPUT:    STANDARDIZED;  
